diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 3ec310f..3d20015 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -21900,7 +21900,7 @@ complex number.)
 2.71828 :: DoubleFloat
 --R 
 --R
---R   (3)  2.71828
+--R   (3)  2.7182799999999996
 --R                                                            Type: DoubleFloat
 --E 3
 
@@ -21908,7 +21908,7 @@ complex number.)
 eApprox : DoubleFloat := 2.71828
 --R 
 --R
---R   (4)  2.71828
+--R   (4)  2.7182799999999996
 --R                                                            Type: DoubleFloat
 --E 4
 
@@ -22313,33 +22313,33 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
      x >= 0 => message(FORMAT(NIL$Lisp,format,x)$Lisp pretend String)
      - (message(FORMAT(NIL$Lisp,format,-x)$Lisp pretend String))
    convert(x:%):InputForm == convert(x pretend DoubleFloat)$InputForm
-   x < y            == (x<y)$Lisp
-   - x              == (-x)$Lisp
-   x + y            == (x+y)$Lisp
-   x:% - y:%        == (x-y)$Lisp
-   x:% * y:%        == (x*y)$Lisp
-   i:Integer * x:%  == (i*x)$Lisp
-   max(x,y)         == MAX(x,y)$Lisp
-   min(x,y)         == MIN(x,y)$Lisp
-   x = y            == (x=y)$Lisp
-   x:% / i:Integer  == (x/i)$Lisp
-   sqrt x           == checkComplex SQRT(x)$Lisp
-   log10 x          == checkComplex log(x)$Lisp
-   x:% ** i:Integer == EXPT(x,i)$Lisp
-   x:% ** y:%       == checkComplex EXPT(x,y)$Lisp
+   x < y            == DFLESSTHAN(x,y)$Lisp
+   - x              == DFUNARYMINUS(x)$Lisp
+   x + y            == DFADD(x,y)$Lisp
+   x:% - y:%        == DFSUBTRACT(x,y)$Lisp
+   x:% * y:%        == DFMULTIPLY(x,y)$Lisp
+   i:Integer * x:%  == DFINTEGERMULTIPLY(i,x)$Lisp
+   max(x,y)         == DFMAX(x,y)$Lisp
+   min(x,y)         == DFMIN(x,y)$Lisp
+   x = y            == DFEQL(x,y)$Lisp
+   x:% / i:Integer  == DFINTEGERDIVIDE(x,i)$Lisp
+   sqrt x           == checkComplex DFSQRT(x)$Lisp
+   log10 x          == checkComplex DFLOG(x,10)$Lisp
+   x:% ** i:Integer == DFINTEGEREXPT(x,i)$Lisp
+   x:% ** y:%       == checkComplex DFEXPT(x,y)$Lisp
    coerce(i:Integer):% == FLOAT(i,MOST_-POSITIVE_-DOUBLE_-FLOAT$Lisp)$Lisp
-   exp x            == EXP(x)$Lisp
-   log x            == checkComplex LN(x)$Lisp
-   log2 x           == checkComplex LOG2(x)$Lisp
-   sin x            == SIN(x)$Lisp
-   cos x            == COS(x)$Lisp
-   tan x            == TAN(x)$Lisp
+   exp x            == DFEXP(x)$Lisp
+   log x            == checkComplex DFLOGE(x)$Lisp
+   log2 x           == checkComplex DFLOG(x,2)$Lisp
+   sin x            == DFSIN(x)$Lisp
+   cos x            == DFCOS(x)$Lisp
+   tan x            == DFTAN(x)$Lisp
    cot x            == COT(x)$Lisp
    sec x            == SEC(x)$Lisp
    csc x            == CSC(x)$Lisp
-   asin x           == checkComplex ASIN(x)$Lisp -- can be complex
-   acos x           == checkComplex ACOS(x)$Lisp -- can be complex
-   atan x           == ATAN(x)$Lisp
+   asin x           == checkComplex DFASIN(x)$Lisp -- can be complex
+   acos x           == checkComplex DFACOS(x)$Lisp -- can be complex
+   atan x           == DFATAN(x)$Lisp
    acsc x           == checkComplex ACSC(x)$Lisp
    acot x           == ACOT(x)$Lisp
    asec x           == checkComplex ASEC(x)$Lisp
@@ -22349,14 +22349,14 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
    csch x           == CSCH(x)$Lisp
    coth x           == COTH(x)$Lisp
    sech x           == SECH(x)$Lisp
-   asinh x          == ASINH(x)$Lisp
-   acosh x          == checkComplex ACOSH(x)$Lisp -- can be complex
-   atanh x          == checkComplex ATANH(x)$Lisp -- can be complex
+   asinh x          == DFASINH(x)$Lisp
+   acosh x          == checkComplex DFACOSH(x)$Lisp -- can be complex
+   atanh x          == checkComplex DFATANH(x)$Lisp -- can be complex
    acsch x          == ACSCH(x)$Lisp
    acoth x          == checkComplex ACOTH(x)$Lisp
    asech x          == checkComplex ASECH(x)$Lisp
-   x:% / y:%        == (x/y)$Lisp
-   negative? x      == MINUSP(x)$Lisp
+   x:% / y:%        == DFDIVIDE(x,y)$Lisp
+   negative? x      == DFMINUSP(x)$Lisp
    zero? x          == ZEROP(x)$Lisp
    hash x           == HASHEQ(x)$Lisp
    recip(x)         == (zero? x => "failed"; 1 / x)
@@ -29358,16 +29358,16 @@ o )show File
 \cross{FILE}{coerce} &
 \cross{FILE}{flush} &
 \cross{FILE}{hash} &
-\cross{FILE}{iomode} &
-\cross{FILE}{latex} \\
+\cross{FILE}{iomode} \\
+\cross{FILE}{latex} &
 \cross{FILE}{name} &
 \cross{FILE}{open} &
 \cross{FILE}{readIfCan!} &
-\cross{FILE}{read!} &
-\cross{FILE}{reopen!} \\
+\cross{FILE}{read!} \\
+\cross{FILE}{reopen!} &
 \cross{FILE}{write!} &
 \cross{FILE}{?=?} &
-\cross{FILE}{?\~{}=?} &&
+\cross{FILE}{?\~{}=?} &
 \end{tabular}
 
 <<domain FILE File>>=
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index cde2496..eee15d4 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -426,8 +426,8 @@ function which is the entry to the Axiom interpreter.
  )
 
 @
-\pagehead{restart}{restart}
-\pagepic{ps/v5restart.ps}{restart}{1.00}
+\pagehead{restart function}{The restart function}
+\pagepic{ps/v5restart.ps}{Restart}{1.00}
 The restart function is the real root of the world. It sets up memory
 if we are working in a GCL/akcl version of the system. 
 
@@ -7235,7 +7235,6 @@ Get the entry for key k on x's association list
 @
 
 \chapter{System Command Handling}
-\defdollar{systemCommands}
 The system commands are the top-level commands available in Axiom
 that can all be invoked by prefixing the symbol with a closed-paren. 
 Thus, to see they copyright you type:
@@ -7293,7 +7292,6 @@ See:\\
 
 @
 
-\defdollar{systemCommands}
 <<postvars>>=
 (eval-when (eval load)
  (setq |$systemCommands|
@@ -7641,7 +7639,7 @@ we return the remainder of the string without the leading prefix.
 
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{abbreviations}
+\cmdhead{abbreviations help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<abbreviations.help>>=
 ====================================================================
@@ -7818,7 +7816,7 @@ o )compile
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{boot}
+\cmdhead{boot help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<boot.help>>=
 ====================================================================
@@ -7862,7 +7860,7 @@ verbatim. This will eventually result in a call to the function
 \verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{browse}
+\cmdhead{browse help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<browse.help>>=
 
@@ -8083,7 +8081,7 @@ if the token is a command.
 \section{The server support code}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{cd}
+\cmdhead{cd help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<cd.help>>=
 ====================================================================
@@ -8132,7 +8130,7 @@ o )spool
 \section{Functions}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{clear}
+\cmdhead{clear help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<clear.help>>=
 ====================================================================
@@ -8523,7 +8521,7 @@ Clear all the options except the argument.
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{close}
+\cmdhead{close help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<close.help>>=
 ====================================================================
@@ -8634,7 +8632,7 @@ Returns the number of active scratchpad clients
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{compiler}
+\cmdhead{compiler help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<compiler.help>>=
 ====================================================================
@@ -9013,7 +9011,7 @@ o )library
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{copyright}
+\cmdhead{copyright help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<copyright.help>>=
 The term Axiom, in the field of computer algebra software, 
@@ -9297,7 +9295,7 @@ verbatim. This will eventually result in a call to the function
 \verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{credits}
+\cmdhead{credits help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \section{Variables Used}
@@ -9317,7 +9315,7 @@ verbatim. This will eventually result in a call to the function
 \verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{describe}
+\cmdhead{describe help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<describe.help>>=
 ====================================================================
@@ -9537,7 +9535,7 @@ in the Category, Domain, or Package source code.
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{display}
+\cmdhead{display help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<display.help>>=
 ====================================================================
@@ -9914,7 +9912,7 @@ next brace but the problem does not arise in practice.
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{edit}
+\cmdhead{edit help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<edit.help>>=
 ====================================================================
@@ -10011,7 +10009,7 @@ o )read
 
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{fin}
+\cmdhead{fin help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<fin.help>>=
 ====================================================================
@@ -10047,7 +10045,7 @@ verbatim. This will eventually result in a call to the function
 \verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{frame}
+\cmdhead{frame help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<frame.help>>=
 ====================================================================
@@ -10189,6 +10187,7 @@ requests changing to a different frame.
 
 \section{Data Structures}
 \subsection{Frames and the Interpreter Frame Ring}
+\label{TheFrameMechanism}
 
 Axiom has the notion of ``frames''. A frame is a data structure which
 holds all the vital data from an Axiom session. There can be multiple
@@ -10833,7 +10832,7 @@ S2IZ0079
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{help}
+\cmdhead{help help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<help.help>>=
 ====================================================================
@@ -11040,7 +11039,7 @@ Available algebra help topics are:
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{history}
+\cmdhead{history help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<history.help>>=
 ====================================================================
@@ -12871,7 +12870,7 @@ S2IH0038
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{include}
+\cmdhead{include help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<include.help>>=
 
@@ -12955,7 +12954,7 @@ token in the string. If the string only 0 or more blanks it returns nil.
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{library}
+\cmdhead{library help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<library.help>>=
 ====================================================================
@@ -13021,7 +13020,7 @@ o )set
 \fnref{set}}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{lisp}
+\cmdhead{lisp help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<lisp.help>>=
 ====================================================================
@@ -13064,7 +13063,7 @@ verbatim. This will eventually result in a call to the function
 \verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{load}
+\cmdhead{load help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<load.help>>=
 ====================================================================
@@ -13080,7 +13079,7 @@ This command is obsolete. Use )library instead.
 @ 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{ltrace}
+\cmdhead{ltrace help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<ltrace.help>>=
 ====================================================================
@@ -13112,7 +13111,7 @@ o )trace
 \section{Variables Used}
 \section{Functions}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{pquit}
+\cmdhead{pquit help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<pquit.help>>=
 ====================================================================
@@ -13195,7 +13194,7 @@ verbatim. This will eventually result in a call to the function
 \verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{quit}
+\cmdhead{quit help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<quit.help>>=
 ====================================================================
@@ -13293,7 +13292,7 @@ verbatim. This will eventually result in a call to the function
 \verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{read}
+\cmdhead{read help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<read.help>>=
 ====================================================================
@@ -13339,7 +13338,7 @@ o )history
 \fnref{history}}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{savesystem}
+\cmdhead{savesystem help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<savesystem.help>>=
 ====================================================================
@@ -13375,7 +13374,7 @@ command "AXIOMsys" may be saved.
 @ 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{set}
+\cmdhead{set help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<set.help>>=
 ====================================================================
@@ -16314,7 +16313,6 @@ naglink      show NAGLink messages                      on
 
 TPDHERE: This is a duplicate of )set mes bot on because both use the
 \verb|$reportBottomUpFlag| flag
-\label{reportBottomUpFlag}
 \index{\$reportBottomUpFlag}
 \index{defvar!\$reportBottomUpFlag}
 \index{\$reportBottomUpFlag!defvar}
@@ -16716,7 +16714,6 @@ double       enforce DOUBLE PRECISION ASPs              on
 
 \end{verbatim}
 TPDHERE: this is the same as )set nag mes on
-\label{nagMessages}
 \index{\$nagMessages}
 \index{defvar!\$nagMessages}
 \index{\$nagMessages!defvar}
@@ -17176,7 +17173,7 @@ The current setting is:  Off:CONSOLE
 (defvar |$fortranFormat| nil "create output in FORTRAN format")
 
 @
-\defdollar{HiFiAccess}
+\defdollar{fortranOutputFile}
 <<initvars>>=
 (defvar |$fortranOutputFile| "CONSOLE" 
    "where FORTRAN output goes (enter {\em console} or a a pathname)")
@@ -17368,7 +17365,7 @@ The current setting is:  Off:CONSOLE
  The current setting is indicated.
 
 \end{verbatim}
-\defdollar{HiFiAccess}
+\defdollar{fractionDisplayType}
 <<initvars>>=
 (defvar |$fractionDisplayType| '|vertical| "how fractions are formatted")
 
@@ -18759,7 +18756,7 @@ which gets called with \verb|%describe%|
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{show}
+\cmdhead{show help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<show.help>>=
 ====================================================================
@@ -18818,7 +18815,7 @@ o )what
 \fnref{what}}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{spool}
+\cmdhead{spool help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<spool.help>>=
 ====================================================================
@@ -18855,7 +18852,7 @@ o )cd
 \footnote{\fnref{cd}}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{summary}
+\cmdhead{summary help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<summary.help>>=
  )credits      : list the people who have contributed to Axiom
@@ -18898,7 +18895,7 @@ o )cd
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{synonym}
+\cmdhead{synonym help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<synonym.help>>=
 ====================================================================
@@ -18957,7 +18954,7 @@ verbatim. This will eventually result in a call to the function
 \verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{system}
+\cmdhead{system help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<system.help>>=
 ====================================================================
@@ -19008,7 +19005,7 @@ verbatim. This will eventually result in a call to the function
 \verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{trace}
+\cmdhead{trace help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<trace.help>>=
 ====================================================================
@@ -21764,7 +21761,7 @@ to convert the data into type "Expression"
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{undo}
+\cmdhead{undo help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<undo.help>>=
 ====================================================================
@@ -22524,7 +22521,7 @@ Removing undo lines from \verb|)hist )write linelist|
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{what}
+\cmdhead{what help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<what.help>>=
 ====================================================================
@@ -22827,7 +22824,7 @@ This displays all operation names containing these fragments
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{with}
+\cmdhead{with help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 <<with.help>>=
 
@@ -22849,7 +22846,7 @@ o )library
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{workfiles}
+\cmdhead{workfiles help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \defun{workfiles}{workfiles}
 \calls{workfiles}{workfilesSpad2Cmd}
@@ -22930,7 +22927,7 @@ o )library
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{zsystemdevelopment}
+\cmdhead{zsystemdevelopment help page}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \defun{zsystemdevelopment}{zsystemdevelopment}
 \calls{zsystemdevelopment}{zsystemDevelopmentSpad2Cmd}
@@ -23820,9 +23817,10 @@ The \verb|$msgdbPrims| variable is set to:
 
 @
 
-\pagehead{openserver}{openserver}
+\pagehead{openserver function}{The openserver function}
 This is a cover function for the C code used for communication interface.
 %\calls{openserver}{open_server}
+\defun{openserver}
 <<defun openserver>>=
 (defun openserver (name)
   (open_server name))
@@ -24187,6 +24185,466 @@ Note that this assumes ``table'' is a string.
 
 @
  
+\chapter{Common Lisp Algebra Support}
+These functions are called directly from the algebra source code.
+They fall into two basic categories, one are the functions that are
+raw Comon Lisp calls and the other are Axiom specific functions or macros.
+
+Raw function calls are used where there is an alignment of the Axiom
+type and the underlying representation in Common Lisp. These form the
+support pillars upon which Axiom rests. For instance, the 'EQ' function is
+called to support the Axiom equivalent 'eq?' function.
+
+Macros are used to add type information in order to make low level
+operations faster. An example is the use of macros in DoubleFloat to
+add Common Lisp type information. Since DoubleFloat is machine arithmetic
+we give the compiler explicit type information so it can generate fast code.
+
+Functions are used to do manipulations which are Common Lisp operations
+but the Axiom semantics are not the same. Because Axiom was originally
+written in Maclisp, then VMLisp, and then Common Lisp some of these old
+semantics survive. An example is the MAKE-FULL-CVEC function which makes
+``character vectors''.
+
+\section{DoubleFloat}
+These macros wrap their arguments with strong type information in
+order to optimize doublefloat computatations. They are used directly
+in the DoubleFloat domain (see Volume 10.3).
+
+\defmacro{DFLessThan}
+Compute a strongly typed doublefloat comparison
+See Steele Common Lisp 1990 p293
+\calls{DFLessThan}{<}
+<<defmacro DFLessThan>>=
+(defmacro DFLessThan (x y) 
+ `(< (the double-float ,x) (the double-float ,y)))
+
+@
+
+\defmacro{DFUnaryMinus}
+Compute a strongly typed unary doublefloat minus
+See Steele Common Lisp 1990 p295
+\calls{DFUnaryMinus}{-}
+<<defmacro DFUnaryMinus>>=
+(defmacro DFUnaryMinus (x)
+ `(the double-float (- (the double-float ,x))))
+
+@
+
+\defmacro{DFMinusp}
+Compute a strongly typed unary doublefloat test for negative
+See Steele Common Lisp 1990 p292
+\calls{DFMinusp}{minusp}
+<<defmacro DFMinusp>>=
+(defmacro DFMinusp (x)
+ `(minusp (the double-float ,x)))
+
+@
+
+\defmacro{DFZerop}
+Compute a strongly typed unary doublefloat test for zero
+See Steele Common Lisp 1990 p292
+\calls{DFZerop}{zerop}
+<<defmacro DFZerop>>=
+(defmacro DFZerop (x)
+ `(zerop (the double-float ,x)))
+
+@
+
+\defmacro{DFAdd}
+Compute a strongly typed doublefloat addition
+See Steele Common Lisp 1990 p295
+\calls{DFAdd}{+}
+<<defmacro DFAdd>>=
+(defmacro DFAdd (x y) 
+ `(the double-float (+ (the double-float ,x) (the double-float ,y))))
+
+@
+
+\defmacro{DFSubtract}
+Compute a strongly typed doublefloat subtraction
+See Steele Common Lisp 1990 p295
+\calls{DFSubtract}{-}
+<<defmacro DFSubtract>>=
+(defmacro DFSubtract (x y) 
+ `(the double-float (- (the double-float ,x) (the double-float ,y))))
+
+@
+
+\defmacro{DFMultiply}
+Compute a strongly typed doublefloat multiplication
+See Steele Common Lisp 1990 p296
+\calls{DFMultiply}{*}
+<<defmacro DFMultiply>>=
+(defmacro DFMultiply (x y) 
+ `(the double-float (* (the double-float ,x) (the double-float ,y))))
+
+@
+
+\defmacro{DFIntegerMultiply}
+Compute a strongly typed doublefloat multiplication by an integer.
+See Steele Common Lisp 1990 p296
+\calls{DFIntegerMultiply}{*}
+<<defmacro DFIntegerMultiply>>=
+(defmacro DFIntegerMultiply (i y) 
+ `(the double-float (* (the integer ,i) (the double-float ,y))))
+
+@
+
+\defmacro{DFMax}
+Choose the maximum of two doublefloats.
+See Steele Common Lisp 1990 p294
+\calls{DFMax}{max}
+<<defmacro DFMax>>=
+(defmacro DFMax (x y) 
+ `(the double-float (max (the double-float ,x) (the double-float ,y))))
+
+@
+
+\defmacro{DFMin}
+Choose the minimum of two doublefloats.
+See Steele Common Lisp 1990 p294
+\calls{DFMin}{min}
+<<defmacro DFMin>>=
+(defmacro DFMin (x y) 
+ `(the double-float (min (the double-float ,x) (the double-float ,y))))
+
+@
+
+\defmacro{DFEql}
+Compare two doublefloats for equality, where equality is eq, or numbers of
+the same type with the same value.
+See Steele Common Lisp 1990 p105
+\calls{DFEql}{eql}
+<<defmacro DFEql>>=
+(defmacro DFEql (x y) 
+ `(eql (the double-float ,x) (the double-float ,y)))
+
+@
+
+\defmacro{DFDivide}
+Divide a doublefloat by a a doublefloat
+See Steele Common Lisp 1990 p296
+\calls{DFDivide}{/}
+<<defmacro DFDivide>>=
+(defmacro DFDivide (x y) 
+ `(the double-float (/ (the double-float ,x) (the double-float ,y))))
+
+@
+
+\defmacro{DFIntegerDivide}
+Divide a doublefloat by an integer
+See Steele Common Lisp 1990 p296
+\calls{DFIntegerDivide}{/}
+<<defmacro DFIntegerDivide>>=
+(defmacro DFIntegerDivide (x i) 
+ `(the double-float (/ (the double-float ,x) (the integer ,i))))
+
+@
+
+\defmacro{DFSqrt}
+Compute the doublefloat square root of $x$. The result will be complex
+if the argument is negative.
+See Steele Common Lisp 1990 p302
+\calls{DFSqrt}{sqrt}
+<<defmacro DFSqrt>>=
+(defmacro DFSqrt (x)
+ `(sqrt (the double-float ,x)))
+
+@
+
+\defmacro{DFLogE}
+Compute the doublefloat log of $x$ with the base $e$.
+The result will be complex if the argument is negative.
+See Steele Common Lisp 1990 p301
+\calls{DFLogE}{log}
+<<defmacro DFLogE>>=
+(defmacro DFLogE (x)
+ `(log (the double-float ,x)))
+
+@
+
+\defmacro{DFLog}
+Compute the doublefloat log of $x$ with a given base $b$.
+The result will be complex if $x$ is negative.
+See Steele Common Lisp 1990 p301
+\calls{DFLog}{log}
+<<defmacro DFLog>>=
+(defmacro DFLog (x b)
+ `(log (the double-float ,x) (the fixnum ,b)))
+
+@
+
+\defmacro{DFIntegerExpt}
+Compute the doublefloat expt of $x$ with a given integer power $i$
+See Steele Common Lisp 1990 p300
+\calls{DFIntegerExpt}{expt}
+<<defmacro DFIntegerExpt>>=
+(defmacro DFIntegerExpt (x i)
+ `(the double-float (expt (the double-float ,x) (the integer ,i))))
+
+@
+
+\defmacro{DFExpt}
+Compute the doublefloat expt of $x$ with a given power $p$. 
+The result could be complex if the base is negative and the power is 
+not an integer.
+See Steele Common Lisp 1990 p300
+\calls{DFExpt}{expt}
+<<defmacro DFExpt>>=
+(defmacro DFExpt (x p)
+ `(expt (the double-float ,x) (the double-float ,p)))
+
+@
+
+\defmacro{DFExp}
+Compute the doublefloat exp with power $e$
+See Steele Common Lisp 1990 p300
+\calls{DFExp}{exp}
+<<defmacro DFExp>>=
+(defmacro DFExp (x)
+ `(the double-float (exp (the double-float ,x))))
+
+@
+
+\defmacro{DFSin}
+Compute a strongly typed doublefloat sin
+See Steele Common Lisp 1990 p304
+\calls{DFSin}{sin}
+<<defmacro DFSin>>=
+(defmacro DFSin (x)
+ `(the double-float (sin (the double-float ,x))))
+
+@
+
+\defmacro{DFCos}
+Compute a strongly typed doublefloat cos
+See Steele Common Lisp 1990 p304
+\calls{DFCos}{cos}
+<<defmacro DFCos>>=
+(defmacro DFCos (x)
+ `(the double-float (cos (the double-float ,x))))
+
+@
+
+\defmacro{DFTan}
+Compute a strongly typed doublefloat tan
+See Steele Common Lisp 1990 p304
+\calls{DFTan}{tan}
+<<defmacro DFTan>>=
+(defmacro DFTan (x)
+ `(the double-float (tan (the double-float ,x))))
+
+@
+
+\defmacro{DFAsin}
+Compute a strongly typed doublefloat asin. The result is complex if the 
+absolute value of the argument is greater than 1.
+See Steele Common Lisp 1990 p305
+\calls{DFAsin}{asin}
+<<defmacro DFAsin>>=
+(defmacro DFAsin (x)
+ `(asin (the double-float ,x)))
+
+@
+
+\defmacro{DFAcos}
+Compute a strongly typed doublefloat acos. The result is complex if the 
+absolute value of the argument is greater than 1.
+See Steele Common Lisp 1990 p305
+\calls{DFAcos}{acos}
+<<defmacro DFAcos>>=
+(defmacro DFAcos (x)
+ `(acos (the double-float ,x)))
+
+@
+
+\defmacro{DFAtan}
+Compute a strongly typed doublefloat atan
+See Steele Common Lisp 1990 p305
+\calls{DFAtan}{atan}
+<<defmacro DFAtan>>=
+(defmacro DFAtan (x)
+ `(the double-float (atan (the double-float ,x))))
+
+@
+
+\defmacro{DFSinh}
+Compute a strongly typed doublefloat sinh
+\[(e^z-e^{-z})/2\]
+See Steele Common Lisp 1990 p308
+\calls{DFSinh}{sinh}
+<<defmacro DFSinh>>=
+(defmacro DFSinh (x)
+ `(the double-float (sinh (the double-float ,x))))
+
+@
+
+\defmacro{DFCosh}
+Compute a strongly typed doublefloat cosh
+\[(e^z+e^{-z})/2\]
+See Steele Common Lisp 1990 p308
+\calls{DFCosh}{cosh}
+<<defmacro DFCosh>>=
+(defmacro DFCosh (x)
+ `(the double-float (cosh (the double-float ,x))))
+
+@
+
+\defmacro{DFTanh}
+Compute a strongly typed doublefloat tanh
+\[(e^z-e^{-z})/(e^z+e^{-z})\]
+See Steele Common Lisp 1990 p308
+\calls{DFTanh}{tanh}
+<<defmacro DFTanh>>=
+(defmacro DFTanh (x)
+ `(the double-float (tanh (the double-float ,x))))
+
+@
+
+\defmacro{DFAsinh}
+Compute the inverse hyperbolic sin.
+\[log\left(z+\sqrt{1+z^2}\right)\]
+See Steele Common Lisp 1990 p308
+\calls{DFAsinh}{asinh}
+<<defmacro DFAsinh>>=
+(defmacro DFAsinh (x)
+ `(the double-float (asinh (the double-float ,x))))
+
+@
+
+\defmacro{DFAcosh}
+Compute the inverse hyperbolic cos. Note that the acosh function will return
+a complex result if the argument is less than 1.
+\[log\left(z+(z+1)\sqrt{(z-1)/(z+1)}\right)\]
+See Steele Common Lisp 1990 p308
+\calls{DFAcosh}{acosh}
+<<defmacro DFAcosh>>=
+(defmacro DFAcosh (x)
+ `(acosh (the double-float ,x)))
+
+@
+
+\defmacro{DFAtanh}
+Compute the inverse hyperbolic tan. Note that the acosh function will return
+a complex result if the argument is greater than 1.
+\[log\left((1+z)\sqrt{1/(1-z^2)}\right)\]
+See Steele Common Lisp 1990 p308
+\calls{DFAtanh}{atanh}
+<<defmacro DFAtanh>>=
+(defmacro DFAtanh (x)
+ `(atanh (the double-float ,x)))
+
+@
+
+\defun{cot}{The cotangent routine}
+The cotangent function is defined as
+\[cot(z) = \frac{1}{tan(z)}\]
+<<defun cot>>=
+(defun cot (a)
+  (if (or (> a 1000.0) (< a -1000.0))
+    (/ (cos a) (sin a))
+    (/ 1.0 (tan a))))
+
+@
+
+\defun{acot}{The inverse cotangent function}
+The inverse cotangent (arc-cotangent) function is defined as
+\[acot(z) = cot^{-1}(z) = tan^{-1}(\frac{1}{z})\]
+See Steele Common Lisp 1990 pp305-307
+<<defun acot>>=
+(defun acot (a)
+  (if (> a 0.0)
+    (if (> a 1.0)
+       (atan (/ 1.0 a))
+       (- (/ pi 2.0) (atan a)))
+    (if (< a -1.0)
+       (- pi (atan (/ -1.0 a)))
+       (+ (/ pi 2.0) (atan (- a))))))
+
+@
+
+\defun{sec}{The secant function}
+\[sec(x) = \frac{1}{cos(x)}\]
+\calls{sec}{cos}
+<<defun sec>>=
+(defun sec (x) (/ 1 (cos x)))
+
+@
+
+\defun{asec}{The inverse secant function}
+\[asec(x) = acos\left(\frac{1}{x}\right)\]
+\calls{asec}{acos}
+<<defun asec>>=
+(defun asec (x) (acos (/ 1 x)))
+
+@
+
+\defun{csc}{The cosecant function}
+\[csc(x) = \frac{1}{sin(x)}\]
+\calls{csc}{sin}
+<<defun csc>>=
+(defun csc (x) (/ 1 (sin x)))
+
+@
+
+\defun{acsc}{The inverse cosecant function}
+\[acsc(x) = \frac{1}{asin(x)}\]
+\calls{acsc}{asin}
+<<defun acsc>>=
+(defun acsc (x) (asin (/ 1 x)))
+
+@
+
+\defun{csch}{The hyperbolic cosecant function}
+\[csch(x) = \frac{1}{sinh(x)} \]
+\calls{csch}{sinh}
+<<defun csch>>=
+(defun csch (x) (/ 1 (sinh x)))
+
+@
+
+\defun{coth}{The hyperbolic cotangent function}
+\[coth(x) = cosh(x) csch(x)\]
+\calls{coth}{cosh}
+\calls{coth}{csch}
+<<defun coth>>=
+(defun coth (x) (* (cosh x) (csch x)))
+
+@
+
+\defun{sech}{The hyperbolic secant function}
+\[sech(x) = \frac{1}{cosh(x)}\]
+\calls{sech}{cosh}
+<<defun sech>>=
+(defun sech (x) (/ 1 (cosh x)))
+
+@
+
+\defun{acsch}{The inverse hyperbolic cosecant function}
+\[acsch(x) = asinh\left(\frac{1}{x}\right)\]
+\calls{acsch}{asinh}
+<<defun acsch>>=
+(defun acsch (x) (asinh (/ 1 x)))
+
+@
+
+\defun{acoth}{The inverse hyperbolic cotangent function}
+\[acoth(x) = atanh\left(\frac{1}{x}\right)\]
+\calls{acoth}{atanh}
+<<defun acoth>>=
+(defun acoth (x) (atanh (/ 1 x)))
+
+@
+
+\defun{asech}{The inverse hyperbolic secant function}
+\[asech(x) = acosh\left(\frac{1}{x}\right)\]
+\calls{asech}{acosh}
+<<defun asech>>=
+(defun asech (x) (acosh (/ 1 x)))
+
+@
+
 \chapter{Dangling references}
 \section{shell variables}
 \begin{verbatim}
@@ -24510,6 +24968,37 @@ maxindex
 (in-package "BOOT")
 <<initvars>>
 
+<<defmacro DFAdd>>
+<<defmacro DFAcos>>
+<<defmacro DFAcosh>>
+<<defmacro DFAsin>>
+<<defmacro DFAsinh>>
+<<defmacro DFAtan>>
+<<defmacro DFAtanh>>
+<<defmacro DFCos>>
+<<defmacro DFCosh>>
+<<defmacro DFDivide>>
+<<defmacro DFEql>>
+<<defmacro DFExp>>
+<<defmacro DFExpt>>
+<<defmacro DFIntegerDivide>>
+<<defmacro DFIntegerExpt>>
+<<defmacro DFIntegerMultiply>>
+<<defmacro DFLessThan>>
+<<defmacro DFLog>>
+<<defmacro DFLogE>>
+<<defmacro DFMax>>
+<<defmacro DFMin>>
+<<defmacro DFMinusp>>
+<<defmacro DFMultiply>>
+<<defmacro DFSin>>
+<<defmacro DFSinh>>
+<<defmacro DFSqrt>>
+<<defmacro DFSubtract>>
+<<defmacro DFTan>>
+<<defmacro DFTanh>>
+<<defmacro DFUnaryMinus>>
+<<defmacro DFZerop>>
 <<defmacro funfind>>
 <<defmacro hget>>
 <<defmacro idChar?>>
@@ -24520,11 +25009,17 @@ maxindex
 <<defun abbQuery>>
 <<defun abbreviations>>
 <<defun abbreviationsSpad2Cmd>>
+<<defun acot>>
+<<defun acoth>>
+<<defun acsc>>
+<<defun acsch>>
 <<defun addInputLibrary>>
 <<defun addNewInterpreterFrame>>
 <<defun addTraceItem>>
 <<defun alreadyOpened?>>
 <<defun apropos>>
+<<defun asec>>
+<<defun asech>>
 <<defun assertCond>>
 <<defun augmentTraceNames>>
 
@@ -24561,9 +25056,13 @@ maxindex
 <<defun concat>>
 <<defun constoken>>
 <<defun copyright>>
+<<defun cot>>
+<<defun coth>>
 <<defun countCache>>
 <<defun createCurrentInterpreterFrame>>
 <<defun credits>>
+<<defun csc>>
+<<defun csch>>
 
 <<defun decideHowMuch>>
 <<defun defiostream>>
@@ -24975,6 +25474,8 @@ maxindex
 <<defun scanTransform>>
 <<defun scanW>>
 <<defun scanWord>>
+<<defun sec>>
+<<defun sech>>
 <<defun selectOption>>
 <<defun selectOptionLC>>
 <<defun separatePiles>>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index da19b9e..9120c98 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -301,7 +301,8 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     cycles1.regress   cycles.regress   cyfactor.regress \
     danzwill.regress  danzwill2.regress  \
     decimal.regress   defintef.regress defintrf.regress \
-    derham.regress    dfloat.regress   dhmatrix.regress \
+    derham.regress    dfloat.regress   dftrig.regress \
+    dhmatrix.regress \
     dhtri.regress     directproduct.regress distexpr.regress \
     divisor.regress   donsimple.regress \
     dmp.regress       dop.regress      dpol.regress     \
@@ -576,8 +577,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/decimal.input    ${OUT}/defs.input \
        ${OUT}/defintef.input ${OUT}/defintrf.input   ${OUT}/derham.input \
        ${OUT}/de2re.input \
-       ${OUT}/dfloat.input   ${OUT}/dhmatrix.input \
-       ${OUT}/dhtri.input  ${OUT}/directproduct.input \
+       ${OUT}/dfloat.input   ${OUT}/dftrig.input     ${OUT}/dhmatrix.input \
+       ${OUT}/dhtri.input    ${OUT}/directproduct.input \
        ${OUT}/distexpr.input ${OUT}/divisor.input ${OUT}/donsimple.input \
        ${OUT}/dmp.input      ${OUT}/dop.input \
        ${OUT}/dpol.input     ${OUT}/draw2dsf.input \
@@ -829,8 +830,8 @@ DOCFILES= \
   ${DOC}/de2re.input.dvi       ${DOC}/decimal.input.dvi    \
   ${DOC}/defintef.input.dvi    ${DOC}/defintrf.input.dvi   \
   ${DOC}/defs.input.dvi        ${DOC}/derham.input.dvi     \
-  ${DOC}/dfloat.input.dvi      ${DOC}/dhmatrix.input.dvi \
-  ${DOC}/dhtri.input.dvi      \
+  ${DOC}/dfloat.input.dvi      ${DOC}/dftrig.input.dvi     \
+  ${DOC}/dhmatrix.input.dvi    ${DOC}/dhtri.input.dvi      \
   ${DOC}/directproduct.input.dvi ${DOC}/distexpr.input.dvi \
   ${DOC}/divisor.input.dvi     ${DOC}/donsimple.input.dvi  \
   ${DOC}/dmp.input.dvi        \
diff --git a/src/input/dftrig.input.pamphlet b/src/input/dftrig.input.pamphlet
new file mode 100644
index 0000000..a5d3365
--- /dev/null
+++ b/src/input/dftrig.input.pamphlet
@@ -0,0 +1,5470 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input dftrig.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)spool dftrig.output
+)set message test on
+)set message auto off
+)clear all
+ 
+ 
+--S 1 of 762
+pie:DFLOAT:=%pi
+--R 
+--R
+--R   (1)  3.1415926535897931
+--R                                                            Type: DoubleFloat
+--E 1
+
+--S 2 of 762
+pif:FLOAT:=%pi
+--R 
+--R
+--R   (2)  3.1415926535 897932385
+--R                                                                  Type: Float
+--E 2
+
+--S 3 of 762
+sin(-3.0::DFLOAT)
+--R 
+--R
+--R   (3)  - 0.14112000805986721
+--R                                                            Type: DoubleFloat
+--E 3
+
+--S 4 of 762
+sin(-3.0::DFLOAT)-sin(-3.0::FLOAT)
+--R 
+--R
+--R   (4)  0.
+--R                                                            Type: DoubleFloat
+--E 4
+
+--S 5 of 762
+sin(-2*pie-1)
+--R 
+--R
+--R   (5)  - 0.84147098480789639
+--R                                                            Type: DoubleFloat
+--E 5
+
+--S 6 of 762
+sin(-2*pie-1)-sin(-2*pif-1)
+--R 
+--R
+--R   (6)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 6
+
+--S 7 of 762
+sin(-2*pie)
+--R 
+--R
+--R   (7)  2.4492127076447545E-16
+--R                                                            Type: DoubleFloat
+--E 7
+
+--S 8 of 762
+sin(-2*pie)-sin(-2*pif)
+--R 
+--R
+--R   (8)  2.4491318169948026E-16
+--R                                                            Type: DoubleFloat
+--E 8
+
+--S 9 of 762
+sin(-2*pie+1)
+--R 
+--R
+--R   (9)  0.84147098480789662
+--R                                                            Type: DoubleFloat
+--E 9
+
+--S 10 of 762
+sin(-2*pie+1)-sin(-2*pif+1)
+--R 
+--R
+--R   (10)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 10
+
+--S 11 of 762
+sin(-pie-1)
+--R 
+--R
+--R   (11)  0.84147098480789639
+--R                                                            Type: DoubleFloat
+--E 11
+
+--S 12 of 762
+sin(-pie-1)-sin(-pif-1)
+--R 
+--R
+--R   (12)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 12
+
+--S 13 of 762
+sin(-pie)
+--R 
+--R
+--R   (13)  - 1.2246063538223773E-16
+--R                                                            Type: DoubleFloat
+--E 13
+
+--S 14 of 762
+sin(-pie)-sin(-pif)
+--R 
+--R
+--R   (14)  - 1.2245659084974013E-16
+--R                                                            Type: DoubleFloat
+--E 14
+
+--S 15 of 762
+sin(-pie+1)
+--R 
+--R
+--R   (15)  - 0.84147098480789662
+--R                                                            Type: DoubleFloat
+--E 15
+
+--S 16 of 762
+sin(-pie+1)-sin(-pif+1)
+--R 
+--R
+--R   (16)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 16
+
+--S 17 of 762
+sin(-pie/4)
+--R 
+--R
+--R   (17)  - 0.70710678118654746
+--R                                                            Type: DoubleFloat
+--E 17
+
+--S 18 of 762
+sin(-pie/4)-sin(-pif/4)
+--R 
+--R
+--R   (18)  0.
+--R                                                            Type: DoubleFloat
+--E 18
+
+--S 19 of 762
+sin(-1::DFLOAT)
+--R 
+--R
+--R   (19)  - 0.8414709848078965
+--R                                                            Type: DoubleFloat
+--E 19
+
+--S 20 of 762
+sin(-1::DFLOAT)-sin(-1::FLOAT)
+--R 
+--R
+--R   (20)  0.
+--R                                                            Type: DoubleFloat
+--E 20
+
+--S 21 of 762
+sin(-0.5::DFLOAT)
+--R 
+--R
+--R   (21)  - 0.47942553860420301
+--R                                                            Type: DoubleFloat
+--E 21
+
+--S 22 of 762
+sin(-0.5::DFLOAT)-sin(-0.5::FLOAT)
+--R 
+--R
+--R   (22)  - 5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 22
+
+--S 23 of 762
+sin(0.0::DFLOAT)
+--R 
+--R
+--R   (23)  0.
+--R                                                            Type: DoubleFloat
+--E 23
+
+--S 24 of 762
+sin(0.0::DFLOAT)-sin(0.0::FLOAT)
+--R 
+--R
+--R   (24)  0.
+--R                                                            Type: DoubleFloat
+--E 24
+
+--S 25 of 762
+sin(0.5::DFLOAT)
+--R 
+--R
+--R   (25)  0.47942553860420301
+--R                                                            Type: DoubleFloat
+--E 25
+
+--S 26 of 762
+sin(0.5::DFLOAT)-sin(0.5::FLOAT)
+--R 
+--R
+--R   (26)  5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 26
+
+--S 27 of 762
+sin(1::DFLOAT)
+--R 
+--R
+--R   (27)  0.8414709848078965
+--R                                                            Type: DoubleFloat
+--E 27
+
+--S 28 of 762
+sin(1::DFLOAT)-sin(1::FLOAT)
+--R 
+--R
+--R   (28)  0.
+--R                                                            Type: DoubleFloat
+--E 28
+
+--S 29 of 762
+sin(pie/4)
+--R 
+--R
+--R   (29)  0.70710678118654746
+--R                                                            Type: DoubleFloat
+--E 29
+
+--S 30 of 762
+sin(pie/4)-sin(pif/4)
+--R 
+--R
+--R   (30)  0.
+--R                                                            Type: DoubleFloat
+--E 30
+
+--S 31 of 762
+sin(pie-1)
+--R 
+--R
+--R   (31)  0.84147098480789662
+--R                                                            Type: DoubleFloat
+--E 31
+
+--S 32 of 762
+sin(pie-1)-sin(pif-1)
+--R 
+--R
+--R   (32)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 32
+
+--S 33 of 762
+sin(pie)
+--R 
+--R
+--R   (33)  1.2246063538223773E-16
+--R                                                            Type: DoubleFloat
+--E 33
+
+--S 34 of 762
+sin(pie)-sin(pif)
+--R 
+--R
+--R   (34)  1.2245659084974013E-16
+--R                                                            Type: DoubleFloat
+--E 34
+
+--S 35 of 762
+sin(pie+1)
+--R 
+--R
+--R   (35)  - 0.84147098480789639
+--R                                                            Type: DoubleFloat
+--E 35
+
+--S 36 of 762
+sin(pie+1)-sin(pif+1)
+--R 
+--R
+--R   (36)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 36
+
+--S 37 of 762
+sin(2*pie-1)
+--R 
+--R
+--R   (37)  - 0.84147098480789662
+--R                                                            Type: DoubleFloat
+--E 37
+
+--S 38 of 762
+sin(2*pie-1)-sin(2*pif-1)
+--R 
+--R
+--R   (38)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 38
+
+--S 39 of 762
+sin(2*pie)
+--R 
+--R
+--R   (39)  - 2.4492127076447545E-16
+--R                                                            Type: DoubleFloat
+--E 39
+
+--S 40 of 762
+sin(2*pie)-sin(2*pif)
+--R 
+--R
+--R   (40)  - 2.4491318169948026E-16
+--R                                                            Type: DoubleFloat
+--E 40
+
+--S 41 of 762
+sin(2*pie+1)
+--R 
+--R
+--R   (41)  0.84147098480789639
+--R                                                            Type: DoubleFloat
+--E 41
+
+--S 42 of 762
+sin(2*pie+1)-sin(2*pif+1)
+--R 
+--R
+--R   (42)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 42
+
+--S 43 of 762
+sin(3.0::DFLOAT)
+--R 
+--R
+--R   (43)  0.14112000805986721
+--R                                                            Type: DoubleFloat
+--E 43
+
+--S 44 of 762
+sin(3.0::DFLOAT)-sin(3.0::FLOAT)
+--R 
+--R
+--R   (44)  0.
+--R                                                            Type: DoubleFloat
+--E 44
+
+
+--S 45 of 762
+cos(-3.0::DFLOAT)
+--R 
+--R
+--R   (45)  - 0.98999249660044542
+--R                                                            Type: DoubleFloat
+--E 45
+
+--S 46 of 762
+cos(-3.0::DFLOAT)-cos(-3.0::FLOAT)
+--R 
+--R
+--R   (46)  0.
+--R                                                            Type: DoubleFloat
+--E 46
+
+--S 47 of 762
+cos(-2*pie-1)
+--R 
+--R
+--R   (47)  0.54030230586813988
+--R                                                            Type: DoubleFloat
+--E 47
+
+--S 48 of 762
+cos(-2*pie-1)-cos(-2*pif-1)
+--R 
+--R
+--R   (48)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 48
+
+--S 49 of 762
+cos(-2*pie)
+--R 
+--R
+--R   (49)  1.
+--R                                                            Type: DoubleFloat
+--E 49
+
+--S 50 of 762
+cos(-2*pie)-cos(-2*pif)
+--R 
+--R
+--R   (50)  0.
+--R                                                            Type: DoubleFloat
+--E 50
+
+--S 51 of 762
+cos(-2*pie+1)
+--R 
+--R
+--R   (51)  0.54030230586813954
+--R                                                            Type: DoubleFloat
+--E 51
+
+--S 52 of 762
+cos(-2*pie+1)-cos(-2*pif+1)
+--R 
+--R
+--R   (52)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 52
+
+--S 53 of 762
+cos(-pie-1)
+--R 
+--R
+--R   (53)  - 0.54030230586813977
+--R                                                            Type: DoubleFloat
+--E 53
+
+--S 54 of 762
+cos(-pie-1)-cos(-pif-1)
+--R 
+--R
+--R   (54)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 54
+
+--S 55 of 762
+cos(-pie)
+--R 
+--R
+--R   (55)  - 1.
+--R                                                            Type: DoubleFloat
+--E 55
+
+--S 56 of 762
+cos(-pie)-cos(-pif)
+--R 
+--R
+--R   (56)  0.
+--R                                                            Type: DoubleFloat
+--E 56
+
+--S 57 of 762
+cos(-pie+1)
+--R 
+--R
+--R   (57)  - 0.54030230586813965
+--R                                                            Type: DoubleFloat
+--E 57
+
+--S 58 of 762
+cos(-pie+1)-cos(-pif+1)
+--R 
+--R
+--R   (58)  0.
+--R                                                            Type: DoubleFloat
+--E 58
+
+--S 59 of 762
+cos(-pie/4)
+--R 
+--R
+--R   (59)  0.70710678118654757
+--R                                                            Type: DoubleFloat
+--E 59
+
+--S 60 of 762
+cos(-pie/4)-cos(-pif/4)
+--R 
+--R
+--R   (60)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 60
+
+--S 61 of 762
+cos(-1::DFLOAT)
+--R 
+--R
+--R   (61)  0.54030230586813977
+--R                                                            Type: DoubleFloat
+--E 61
+
+--S 62 of 762
+cos(-1::DFLOAT)-cos(-1::FLOAT)
+--R 
+--R
+--R   (62)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 62
+
+--S 63 of 762
+cos(-0.5::DFLOAT)
+--R 
+--R
+--R   (63)  0.87758256189037276
+--R                                                            Type: DoubleFloat
+--E 63
+
+--S 64 of 762
+cos(-0.5::DFLOAT)-cos(-0.5::FLOAT)
+--R 
+--R
+--R   (64)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 64
+
+--S 65 of 762
+cos(0.0::DFLOAT)
+--R 
+--R
+--R   (65)  1.
+--R                                                            Type: DoubleFloat
+--E 65
+
+--S 66 of 762
+cos(0.0::DFLOAT)-cos(0.0::FLOAT)
+--R 
+--R
+--R   (66)  0.
+--R                                                            Type: DoubleFloat
+--E 66
+
+--S 67 of 762
+cos(0.5::DFLOAT)
+--R 
+--R
+--R   (67)  0.87758256189037276
+--R                                                            Type: DoubleFloat
+--E 67
+
+--S 68 of 762
+cos(0.5::DFLOAT)-cos(0.5::FLOAT)
+--R 
+--R
+--R   (68)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 68
+
+--S 69 of 762
+cos(1::DFLOAT)
+--R 
+--R
+--R   (69)  0.54030230586813977
+--R                                                            Type: DoubleFloat
+--E 69
+
+--S 70 of 762
+cos(1::DFLOAT)-cos(1::FLOAT)
+--R 
+--R
+--R   (70)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 70
+
+--S 71 of 762
+cos(pie/4)
+--R 
+--R
+--R   (71)  0.70710678118654757
+--R                                                            Type: DoubleFloat
+--E 71
+
+--S 72 of 762
+cos(pie/4)-cos(pif/4)
+--R 
+--R
+--R   (72)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 72
+
+--S 73 of 762
+cos(pie-1)
+--R 
+--R
+--R   (73)  - 0.54030230586813965
+--R                                                            Type: DoubleFloat
+--E 73
+
+--S 74 of 762
+cos(pie-1)-cos(pif-1)
+--R 
+--R
+--R   (74)  0.
+--R                                                            Type: DoubleFloat
+--E 74
+
+--S 75 of 762
+cos(pie)
+--R 
+--R
+--R   (75)  - 1.
+--R                                                            Type: DoubleFloat
+--E 75
+
+--S 76 of 762
+cos(pie)-cos(pif)
+--R 
+--R
+--R   (76)  0.
+--R                                                            Type: DoubleFloat
+--E 76
+
+--S 77 of 762
+cos(pie+1)
+--R 
+--R
+--R   (77)  - 0.54030230586813977
+--R                                                            Type: DoubleFloat
+--E 77
+
+--S 78 of 762
+cos(pie+1)-cos(pif+1)
+--R 
+--R
+--R   (78)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 78
+
+--S 79 of 762
+cos(2*pie-1)
+--R 
+--R
+--R   (79)  0.54030230586813954
+--R                                                            Type: DoubleFloat
+--E 79
+
+--S 80 of 762
+cos(2*pie-1)-cos(2*pif-1)
+--R 
+--R
+--R   (80)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 80
+
+--S 81 of 762
+cos(2*pie)
+--R 
+--R
+--R   (81)  1.
+--R                                                            Type: DoubleFloat
+--E 81
+
+--S 82 of 762
+cos(2*pie)-cos(2*pif)
+--R 
+--R
+--R   (82)  0.
+--R                                                            Type: DoubleFloat
+--E 82
+
+--S 83 of 762
+cos(2*pie+1)
+--R 
+--R
+--R   (83)  0.54030230586813988
+--R                                                            Type: DoubleFloat
+--E 83
+
+--S 84 of 762
+cos(2*pie+1)-cos(2*pif+1)
+--R 
+--R
+--R   (84)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 84
+
+--S 85 of 762
+cos(3.0::DFLOAT)
+--R 
+--R
+--R   (85)  - 0.98999249660044542
+--R                                                            Type: DoubleFloat
+--E 85
+
+--S 86 of 762
+cos(3.0::DFLOAT)-cos(3.0::FLOAT)
+--R 
+--R
+--R   (86)  0.
+--R                                                            Type: DoubleFloat
+--E 86
+
+
+--S 87 of 762
+tan(-3.0::DFLOAT)
+--R 
+--R
+--R   (87)  0.1425465430742778
+--R                                                            Type: DoubleFloat
+--E 87
+
+--S 88 of 762
+tan(-3.0::DFLOAT)-tan(-3.0::FLOAT)
+--R 
+--R
+--R   (88)  0.
+--R                                                            Type: DoubleFloat
+--E 88
+
+--S 89 of 762
+tan(-2*pie-1)
+--R 
+--R
+--R   (89)  - 1.5574077246549014
+--R                                                            Type: DoubleFloat
+--E 89
+
+--S 90 of 762
+tan(-2*pie-1)-tan(-2*pif-1)
+--R 
+--R
+--R   (90)  6.6613381477509392E-16
+--R                                                            Type: DoubleFloat
+--E 90
+
+--S 91 of 762
+tan(-2*pie)
+--R 
+--R
+--R   (91)  2.4492127076447545E-16
+--R                                                            Type: DoubleFloat
+--E 91
+
+--S 92 of 762
+tan(-2*pie)-tan(-2*pif)
+--R 
+--R
+--R   (92)  2.4491318169948026E-16
+--R                                                            Type: DoubleFloat
+--E 92
+
+--S 93 of 762
+tan(-2*pie+1)
+--R 
+--R
+--R   (93)  1.5574077246549032
+--R                                                            Type: DoubleFloat
+--E 93
+
+--S 94 of 762
+tan(-2*pie+1)-tan(-2*pif+1)
+--R 
+--R
+--R   (94)  1.1102230246251565E-15
+--R                                                            Type: DoubleFloat
+--E 94
+
+--S 95 of 762
+tan(-pie-1)
+--R 
+--R
+--R   (95)  - 1.5574077246549018
+--R                                                            Type: DoubleFloat
+--E 95
+
+--S 96 of 762
+tan(-pie-1)-tan(-pif-1)
+--R 
+--R
+--R   (96)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 96
+
+--S 97 of 762
+tan(-pie)
+--R 
+--R
+--R   (97)  1.2246063538223773E-16
+--R                                                            Type: DoubleFloat
+--E 97
+
+--S 98 of 762
+tan(-pie)-tan(-pif)
+--R 
+--R
+--R   (98)  1.2245659084974013E-16
+--R                                                            Type: DoubleFloat
+--E 98
+
+--S 99 of 762
+tan(-pie+1)
+--R 
+--R
+--R   (99)  1.5574077246549027
+--R                                                            Type: DoubleFloat
+--E 99
+
+--S 100 of 762
+tan(-pie+1)-tan(-pif+1)
+--R 
+--R
+--R   (100)  6.6613381477509392E-16
+--R                                                            Type: DoubleFloat
+--E 100
+
+--S 101 of 762
+tan(-pie/4)
+--R 
+--R
+--R   (101)  - 0.99999999999999989
+--R                                                            Type: DoubleFloat
+--E 101
+
+--S 102 of 762
+tan(-pie/4)-tan(-pif/4)
+--R 
+--R
+--R   (102)  0.
+--R                                                            Type: DoubleFloat
+--E 102
+
+--S 103 of 762
+tan(-1::DFLOAT)
+--R 
+--R
+--R   (103)  - 1.5574077246549023
+--R                                                            Type: DoubleFloat
+--E 103
+
+--S 104 of 762
+tan(-1::DFLOAT)-tan(-1::FLOAT)
+--R 
+--R
+--R   (104)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 104
+
+--S 105 of 762
+tan(-0.5::DFLOAT)
+--R 
+--R
+--R   (105)  - 0.54630248984379048
+--R                                                            Type: DoubleFloat
+--E 105
+
+--S 106 of 762
+tan(-0.5::DFLOAT)-tan(-0.5::FLOAT)
+--R 
+--R
+--R   (106)  0.
+--R                                                            Type: DoubleFloat
+--E 106
+
+--S 107 of 762
+tan(0.0::DFLOAT)
+--R 
+--R
+--R   (107)  0.
+--R                                                            Type: DoubleFloat
+--E 107
+
+--S 108 of 762
+tan(0.0::DFLOAT)-tan(0.0::FLOAT)
+--R 
+--R
+--R   (108)  0.
+--R                                                            Type: DoubleFloat
+--E 108
+
+--S 109 of 762
+tan(0.5::DFLOAT)
+--R 
+--R
+--R   (109)  0.54630248984379048
+--R                                                            Type: DoubleFloat
+--E 109
+
+--S 110 of 762
+tan(0.5::DFLOAT)-tan(0.5::FLOAT)
+--R 
+--R
+--R   (110)  0.
+--R                                                            Type: DoubleFloat
+--E 110
+
+--S 111 of 762
+tan(1::DFLOAT)
+--R 
+--R
+--R   (111)  1.5574077246549023
+--R                                                            Type: DoubleFloat
+--E 111
+
+--S 112 of 762
+tan(1::DFLOAT)-tan(1::FLOAT)
+--R 
+--R
+--R   (112)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 112
+
+--S 113 of 762
+tan(pie/4)
+--R 
+--R
+--R   (113)  0.99999999999999989
+--R                                                            Type: DoubleFloat
+--E 113
+
+--S 114 of 762
+tan(pie/4)-tan(pif/4)
+--R 
+--R
+--R   (114)  0.
+--R                                                            Type: DoubleFloat
+--E 114
+
+--S 115 of 762
+tan(pie-1)
+--R 
+--R
+--R   (115)  - 1.5574077246549027
+--R                                                            Type: DoubleFloat
+--E 115
+
+--S 116 of 762
+tan(pie-1)-tan(pif-1)
+--R 
+--R
+--R   (116)  - 6.6613381477509392E-16
+--R                                                            Type: DoubleFloat
+--E 116
+
+--S 117 of 762
+tan(pie)
+--R 
+--R
+--R   (117)  - 1.2246063538223773E-16
+--R                                                            Type: DoubleFloat
+--E 117
+
+--S 118 of 762
+tan(pie)-tan(pif)
+--R 
+--R
+--R   (118)  - 1.2245659084974013E-16
+--R                                                            Type: DoubleFloat
+--E 118
+
+--S 119 of 762
+tan(pie+1)
+--R 
+--R
+--R   (119)  1.5574077246549018
+--R                                                            Type: DoubleFloat
+--E 119
+
+--S 110 of 762
+tan(pie+1)-tan(pif+1)
+--R 
+--R
+--R   (120)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 110
+
+--S 111 of 762
+tan(2*pie-1)
+--R 
+--R
+--R   (121)  - 1.5574077246549032
+--R                                                            Type: DoubleFloat
+--E 111
+
+--S 112 of 762
+tan(2*pie-1)-tan(2*pif-1)
+--R 
+--R
+--R   (122)  - 1.1102230246251565E-15
+--R                                                            Type: DoubleFloat
+--E 112
+
+--S 113 of 762
+tan(2*pie)
+--R 
+--R
+--R   (123)  - 2.4492127076447545E-16
+--R                                                            Type: DoubleFloat
+--E 113
+
+--S 114 of 762
+tan(2*pie)-tan(2*pif)
+--R 
+--R
+--R   (124)  - 2.4491318169948026E-16
+--R                                                            Type: DoubleFloat
+--E 114
+
+--S 115 of 762
+tan(2*pie+1)
+--R 
+--R
+--R   (125)  1.5574077246549014
+--R                                                            Type: DoubleFloat
+--E 115
+
+--S 116 of 762
+tan(2*pie+1)-tan(2*pif+1)
+--R 
+--R
+--R   (126)  - 6.6613381477509392E-16
+--R                                                            Type: DoubleFloat
+--E 116
+
+--S 117 of 762
+tan(3.0::DFLOAT)
+--R 
+--R
+--R   (127)  - 0.1425465430742778
+--R                                                            Type: DoubleFloat
+--E 117
+
+--S 118 of 762
+tan(3.0::DFLOAT)-tan(3.0::FLOAT)
+--R 
+--R
+--R   (128)  0.
+--R                                                            Type: DoubleFloat
+--E 118
+
+
+-- csc = 1/sin
+
+--S 119 of 762
+csc(-3.0::DFLOAT)
+--R 
+--R
+--R   (129)  - 7.0861673957371867
+--R                                                            Type: DoubleFloat
+--E 119
+
+--S 120 of 762
+csc(-3.0::DFLOAT)-csc(-3.0::FLOAT)
+--R 
+--R
+--R   (130)  - 8.8817841970012523E-16
+--R                                                            Type: DoubleFloat
+--E 120
+
+--S 121 of 762
+csc(-2*pie-1)
+--R 
+--R
+--R   (131)  - 1.1883951057781215
+--R                                                            Type: DoubleFloat
+--E 121
+
+--S 122 of 762
+csc(-2*pie-1)-csc(-2*pif-1)
+--R 
+--R
+--R   (132)  - 4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 122
+
+--S 123 of 762
+csc(-2*pie)
+--R 
+--R
+--R   (133)  4082944682095961.
+--R                                                            Type: DoubleFloat
+--E 123
+
+--S 124 of 762
+csc(-2*pie)-csc(-2*pif)
+--R 
+--R
+--R   (134)  - 1.2361959922320702E+20
+--R                                                            Type: DoubleFloat
+--E 124
+
+--S 125 of 762
+csc(-2*pie+1)
+--R 
+--R
+--R   (135)  1.188395105778121
+--R                                                            Type: DoubleFloat
+--E 125
+
+--S 126 of 762
+csc(-2*pie+1)-csc(-2*pif+1)
+--R 
+--R
+--R   (136)  0.
+--R                                                            Type: DoubleFloat
+--E 126
+
+--S 127 of 762
+csc(-pie-1)
+--R 
+--R
+--R   (137)  1.1883951057781215
+--R                                                            Type: DoubleFloat
+--E 127
+
+--S 128 of 762
+csc(-pie-1)-csc(-pif-1)
+--R 
+--R
+--R   (138)  4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 128
+
+--S 129 of 762
+csc(-pie)
+--R 
+--R
+--R   (139)  - 8165889364191922.
+--R                                                            Type: DoubleFloat
+--E 129
+
+--S 130 of 762
+csc(-pie)-csc(-pif)
+--R 
+--R
+--R   (140)  2.4723919844641404E+20
+--R                                                            Type: DoubleFloat
+--E 130
+
+--S 131 of 762
+csc(-pie+1)
+--R 
+--R
+--R   (141)  - 1.188395105778121
+--R                                                            Type: DoubleFloat
+--E 131
+
+--S 132 of 762
+csc(-pie+1)-csc(-pif+1)
+--R 
+--R
+--R   (142)  0.
+--R                                                            Type: DoubleFloat
+--E 132
+
+--S 133 of 762
+csc(-pie/4)
+--R 
+--R
+--R   (143)  - 1.4142135623730951
+--R                                                            Type: DoubleFloat
+--E 133
+
+--S 134 of 762
+csc(-pie/4)-csc(-pif/4)
+--R 
+--R
+--R   (144)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 134
+
+--S 135 of 762
+csc(-1::DFLOAT)
+--R 
+--R
+--R   (145)  - 1.1883951057781212
+--R                                                            Type: DoubleFloat
+--E 135
+
+--S 136 of 762
+csc(-1::DFLOAT)-csc(-1::FLOAT)
+--R 
+--R
+--R   (146)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 136
+
+--S 137 of 762
+csc(-0.5::DFLOAT)
+--R 
+--R
+--R   (147)  - 2.0858296429334882
+--R                                                            Type: DoubleFloat
+--E 137
+
+--S 138 of 762
+csc(-0.5::DFLOAT)-csc(-0.5::FLOAT)
+--R 
+--R
+--R   (148)  0.
+--R                                                            Type: DoubleFloat
+--E 138
+
+--S 139 of 762
+csc(0.5::DFLOAT)
+--R 
+--R
+--R   (149)  2.0858296429334882
+--R                                                            Type: DoubleFloat
+--E 139
+
+--S 140 of 762
+csc(0.5::DFLOAT)-csc(0.5::FLOAT)
+--R 
+--R
+--R   (150)  0.
+--R                                                            Type: DoubleFloat
+--E 140
+
+--S 141 of 762
+csc(1::DFLOAT)
+--R 
+--R
+--R   (151)  1.1883951057781212
+--R                                                            Type: DoubleFloat
+--E 141
+
+--S 142 of 762
+csc(1::DFLOAT)-csc(1::FLOAT)
+--R 
+--R
+--R   (152)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 142
+
+--S 143 of 762
+csc(pie/4)
+--R 
+--R
+--R   (153)  1.4142135623730951
+--R                                                            Type: DoubleFloat
+--E 143
+
+--S 144 of 762
+csc(pie/4)-csc(pif/4)
+--R 
+--R
+--R   (154)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 144
+
+--S 145 of 762
+csc(pie-1)
+--R 
+--R
+--R   (155)  1.188395105778121
+--R                                                            Type: DoubleFloat
+--E 145
+
+--S 146 of 762
+csc(pie-1)-csc(pif-1)
+--R 
+--R
+--R   (156)  0.
+--R                                                            Type: DoubleFloat
+--E 146
+
+--S 147 of 762
+csc(pie)
+--R 
+--R
+--R   (157)  8165889364191922.
+--R                                                            Type: DoubleFloat
+--E 147
+
+--S 148 of 762
+csc(pie)-csc(pif)
+--R 
+--R
+--R   (158)  - 2.4723919844641404E+20
+--R                                                            Type: DoubleFloat
+--E 148
+
+--S 149 of 762
+csc(pie+1)
+--R 
+--R
+--R   (159)  - 1.1883951057781215
+--R                                                            Type: DoubleFloat
+--E 149
+
+--S 150 of 762
+csc(pie+1)-csc(pif+1)
+--R 
+--R
+--R   (160)  - 4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 150
+
+--S 151 of 762
+csc(2*pie-1)
+--R 
+--R
+--R   (161)  - 1.188395105778121
+--R                                                            Type: DoubleFloat
+--E 151
+
+--S 152 of 762
+csc(2*pie-1)-csc(2*pif-1)
+--R 
+--R
+--R   (162)  0.
+--R                                                            Type: DoubleFloat
+--E 152
+
+--S 153 of 762
+csc(2*pie)
+--R 
+--R
+--R   (163)  - 4082944682095961.
+--R                                                            Type: DoubleFloat
+--E 153
+
+--S 154 of 762
+csc(2*pie)-csc(2*pif)
+--R 
+--R
+--R   (164)  1.2361959922320702E+20
+--R                                                            Type: DoubleFloat
+--E 154
+
+--S 155 of 762
+csc(2*pie+1)
+--R 
+--R
+--R   (165)  1.1883951057781215
+--R                                                            Type: DoubleFloat
+--E 155
+
+--S 156 of 762
+csc(2*pie+1)-csc(2*pif+1)
+--R 
+--R
+--R   (166)  4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 156
+
+--S 157 of 762
+csc(3.0::DFLOAT)
+--R 
+--R
+--R   (167)  7.0861673957371867
+--R                                                            Type: DoubleFloat
+--E 157
+
+--S 158 of 762
+csc(3.0::DFLOAT)-csc(3.0::FLOAT)
+--R 
+--R
+--R   (168)  8.8817841970012523E-16
+--R                                                            Type: DoubleFloat
+--E 158
+
+
+-- sec - 1/cos
+
+--S 159 of 762
+sec(-3.0::DFLOAT)
+--R 
+--R
+--R   (169)  - 1.0101086659079939
+--R                                                            Type: DoubleFloat
+--E 159
+
+--S 160 of 762
+sec(-3.0::DFLOAT)-sec(-3.0::FLOAT)
+--R 
+--R
+--R   (170)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 160
+
+--S 161 of 762
+sec(-2*pie-1)
+--R 
+--R
+--R   (171)  1.850815717680925
+--R                                                            Type: DoubleFloat
+--E 161
+
+--S 162 of 762
+sec(-2*pie-1)-sec(-2*pif-1)
+--R 
+--R
+--R   (172)  - 4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 162
+
+--S 163 of 762
+sec(-2*pie)
+--R 
+--R
+--R   (173)  1.
+--R                                                            Type: DoubleFloat
+--E 163
+
+--S 164 of 762
+sec(-2*pie)-sec(-2*pif)
+--R 
+--R
+--R   (174)  0.
+--R                                                            Type: DoubleFloat
+--E 164
+
+--S 165 of 762
+sec(-2*pie+1)
+--R 
+--R
+--R   (175)  1.8508157176809261
+--R                                                            Type: DoubleFloat
+--E 165
+
+--S 166 of 762
+sec(-2*pie+1)-sec(-2*pif+1)
+--R 
+--R
+--R   (176)  6.6613381477509392E-16
+--R                                                            Type: DoubleFloat
+--E 166
+
+--S 167 of 762
+sec(-pie-1)
+--R 
+--R
+--R   (177)  - 1.8508157176809255
+--R                                                            Type: DoubleFloat
+--E 167
+
+--S 168 of 762
+sec(-pie-1)-sec(-pif-1)
+--R 
+--R
+--R   (178)  0.
+--R                                                            Type: DoubleFloat
+--E 168
+
+--S 169 of 762
+sec(-pie)
+--R 
+--R
+--R   (179)  - 1.
+--R                                                            Type: DoubleFloat
+--E 169
+
+--S 170 of 762
+sec(-pie)-sec(-pif)
+--R 
+--R
+--R   (180)  0.
+--R                                                            Type: DoubleFloat
+--E 170
+
+--S 171 of 762
+sec(-pie+1)
+--R 
+--R
+--R   (181)  - 1.8508157176809259
+--R                                                            Type: DoubleFloat
+--E 171
+
+--S 172 of 762
+sec(-pie+1)-sec(-pif+1)
+--R 
+--R
+--R   (182)  - 4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 172
+
+--S 173 of 762
+sec(-pie/4)
+--R 
+--R
+--R   (183)  1.4142135623730949
+--R                                                            Type: DoubleFloat
+--E 173
+
+--S 174 of 762
+sec(-pie/4)-sec(-pif/4)
+--R 
+--R
+--R   (184)  0.
+--R                                                            Type: DoubleFloat
+--E 174
+
+--S 175 of 762
+sec(-1::DFLOAT)
+--R 
+--R
+--R   (185)  1.8508157176809255
+--R                                                            Type: DoubleFloat
+--E 175
+
+--S 176 of 762
+sec(-1::DFLOAT)-sec(-1::FLOAT)
+--R 
+--R
+--R   (186)  0.
+--R                                                            Type: DoubleFloat
+--E 176
+
+--S 177 of 762
+sec(-0.5::DFLOAT)
+--R 
+--R
+--R   (187)  1.139493927324549
+--R                                                            Type: DoubleFloat
+--E 177
+
+--S 178 of 762
+sec(-0.5::DFLOAT)-sec(-0.5::FLOAT)
+--R 
+--R
+--R   (188)  0.
+--R                                                            Type: DoubleFloat
+--E 178
+
+--S 179 of 762
+sec(0.5::DFLOAT)
+--R 
+--R
+--R   (189)  1.139493927324549
+--R                                                            Type: DoubleFloat
+--E 179
+
+--S 180 of 762
+sec(0.5::DFLOAT)-sec(0.5::FLOAT)
+--R 
+--R
+--R   (190)  0.
+--R                                                            Type: DoubleFloat
+--E 180
+
+--S 181 of 762
+sec(1::DFLOAT)
+--R 
+--R
+--R   (191)  1.8508157176809255
+--R                                                            Type: DoubleFloat
+--E 181
+
+--S 182 of 762
+sec(1::DFLOAT)-sec(1::FLOAT)
+--R 
+--R
+--R   (192)  0.
+--R                                                            Type: DoubleFloat
+--E 182
+
+--S 183 of 762
+sec(pie/4)
+--R 
+--R
+--R   (193)  1.4142135623730949
+--R                                                            Type: DoubleFloat
+--E 183
+
+--S 184 of 762
+sec(pie/4)-sec(pif/4)
+--R 
+--R
+--R   (194)  0.
+--R                                                            Type: DoubleFloat
+--E 184
+
+--S 185 of 762
+sec(pie-1)
+--R 
+--R
+--R   (195)  - 1.8508157176809259
+--R                                                            Type: DoubleFloat
+--E 185
+
+--S 186 of 762
+sec(pie-1)-sec(pif-1)
+--R 
+--R
+--R   (196)  - 4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 186
+
+--S 187 of 762
+sec(pie)
+--R 
+--R
+--R   (197)  - 1.
+--R                                                            Type: DoubleFloat
+--E 187
+
+--S 188 of 762
+sec(pie)-sec(pif)
+--R 
+--R
+--R   (198)  0.
+--R                                                            Type: DoubleFloat
+--E 188
+
+--S 189 of 762
+sec(0.0::DFLOAT)
+--R 
+--R
+--R   (199)  1.
+--R                                                            Type: DoubleFloat
+--E 189
+
+--S 190 of 762
+sec(0.0::DFLOAT)-sec(0.0::FLOAT)
+--R 
+--R
+--R   (200)  0.
+--R                                                            Type: DoubleFloat
+--E 190
+
+--S 191 of 762
+sec(pie+1)
+--R 
+--R
+--R   (201)  - 1.8508157176809255
+--R                                                            Type: DoubleFloat
+--E 191
+
+--S 192 of 762
+sec(pie+1)-sec(pif+1)
+--R 
+--R
+--R   (202)  0.
+--R                                                            Type: DoubleFloat
+--E 192
+
+--S 193 of 762
+sec(2*pie-1)
+--R 
+--R
+--R   (203)  1.8508157176809261
+--R                                                            Type: DoubleFloat
+--E 193
+
+--S 194 of 762
+sec(2*pie-1)-sec(2*pif-1)
+--R 
+--R
+--R   (204)  6.6613381477509392E-16
+--R                                                            Type: DoubleFloat
+--E 194
+
+--S 195 of 762
+sec(2*pie)
+--R 
+--R
+--R   (205)  1.
+--R                                                            Type: DoubleFloat
+--E 195
+
+--S 196 of 762
+sec(2*pie)-sec(2*pif)
+--R 
+--R
+--R   (206)  0.
+--R                                                            Type: DoubleFloat
+--E 196
+
+--S 197 of 762
+sec(2*pie+1)
+--R 
+--R
+--R   (207)  1.850815717680925
+--R                                                            Type: DoubleFloat
+--E 197
+
+--S 198 of 762
+sec(2*pie+1)-sec(2*pif+1)
+--R 
+--R
+--R   (208)  - 4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 198
+
+--S 199 of 762
+sec(3.0::DFLOAT)
+--R 
+--R
+--R   (209)  - 1.0101086659079939
+--R                                                            Type: DoubleFloat
+--E 199
+
+--S 200 of 762
+sec(3.0::DFLOAT)-sec(3.0::FLOAT)
+--R 
+--R
+--R   (210)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 300
+
+
+-- cot - 1/tan
+
+--S 301 of 762
+cot(-3.0::DFLOAT)
+--R 
+--R
+--R   (211)  7.0152525514345339
+--R                                                            Type: DoubleFloat
+--E 301
+
+--S 302 of 762
+cot(-3.0::DFLOAT)-cot(-3.0::FLOAT)
+--R 
+--R
+--R   (212)  8.8817841970012523E-16
+--R                                                            Type: DoubleFloat
+--E 302
+
+--S 303 of 762
+cot(-2*pie-1)
+--R 
+--R
+--R   (213)  - 0.64209261593433109
+--R                                                            Type: DoubleFloat
+--E 303
+
+--S 304 of 762
+cot(-2*pie-1)-cot(-2*pif-1)
+--R 
+--R
+--R   (214)  - 4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 304
+
+--S 305 of 762
+cot(-2*pie)
+--R 
+--R
+--R   (215)  4082944682095961.
+--R                                                            Type: DoubleFloat
+--E 305
+
+--S 306 of 762
+cot(-2*pie)-cot(-2*pif)
+--R 
+--R
+--R   (216)  - 1.2361959922320702E+20
+--R                                                            Type: DoubleFloat
+--E 306
+
+--S 307 of 762
+cot(-2*pie+1)
+--R 
+--R
+--R   (217)  0.64209261593433031
+--R                                                            Type: DoubleFloat
+--E 307
+
+--S 308 of 762
+cot(-2*pie+1)-cot(-2*pif+1)
+--R 
+--R
+--R   (218)  - 3.3306690738754696E-16
+--R                                                            Type: DoubleFloat
+--E 308
+
+--S 309 of 762
+cot(-pie-1)
+--R 
+--R
+--R   (219)  - 0.64209261593433087
+--R                                                            Type: DoubleFloat
+--E 309
+
+--S 310 of 762
+cot(-pie-1)-cot(-pif-1)
+--R 
+--R
+--R   (220)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 310
+
+--S 311 of 762
+cot(-pie)
+--R 
+--R
+--R   (221)  8165889364191922.
+--R                                                            Type: DoubleFloat
+--E 311
+
+--S 312 of 762
+cot(-pie)-cot(-pif)
+--R 
+--R
+--R   (222)  - 2.4723919844641404E+20
+--R                                                            Type: DoubleFloat
+--E 312
+
+--S 313 of 762
+cot(-pie+1)
+--R 
+--R
+--R   (223)  0.64209261593433054
+--R                                                            Type: DoubleFloat
+--E 313
+
+--S 314 of 762
+cot(-pie+1)-cot(-pif+1)
+--R 
+--R
+--R   (224)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 314
+
+--S 315 of 762
+cot(-pie/4)
+--R 
+--R
+--R   (225)  - 1.
+--R                                                            Type: DoubleFloat
+--E 315
+
+--S 316 of 762
+cot(-pie/4)-cot(-pif/4)
+--R 
+--R
+--R   (226)  0.
+--R                                                            Type: DoubleFloat
+--E 316
+
+--S 317 of 762
+cot(-1::DFLOAT)
+--R 
+--R
+--R   (227)  - 0.64209261593433065
+--R                                                            Type: DoubleFloat
+--E 317
+
+--S 318 of 762
+cot(-1::DFLOAT)-cot(-1::FLOAT)
+--R 
+--R
+--R   (228)  0.
+--R                                                            Type: DoubleFloat
+--E 318
+
+--S 319 of 762
+cot(-0.5::DFLOAT)
+--R 
+--R
+--R   (229)  - 1.830487721712452
+--R                                                            Type: DoubleFloat
+--E 319
+
+--S 320 of 762
+cot(-0.5::DFLOAT)-cot(-0.5::FLOAT)
+--R 
+--R
+--R   (230)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 320
+
+--S 321 of 762
+cot(0.5::DFLOAT)
+--R 
+--R
+--R   (231)  1.830487721712452
+--R                                                            Type: DoubleFloat
+--E 321
+
+--S 322 of 762
+cot(0.5::DFLOAT)-cot(0.5::FLOAT)
+--R 
+--R
+--R   (232)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 322
+
+--S 323 of 762
+cot(1::DFLOAT)
+--R 
+--R
+--R   (233)  0.64209261593433065
+--R                                                            Type: DoubleFloat
+--E 323
+
+--S 324 of 762
+cot(1::DFLOAT)-cot(1::FLOAT)
+--R 
+--R
+--R   (234)  0.
+--R                                                            Type: DoubleFloat
+--E 324
+
+--S 325 of 762
+cot(pie/4)
+--R 
+--R
+--R   (235)  1.
+--R                                                            Type: DoubleFloat
+--E 325
+
+--S 326 of 762
+cot(pie/4)-cot(pif/4)
+--R 
+--R
+--R   (236)  0.
+--R                                                            Type: DoubleFloat
+--E 326
+
+--S 327 of 762
+cot(pie-1)
+--R 
+--R
+--R   (237)  - 0.64209261593433054
+--R                                                            Type: DoubleFloat
+--E 327
+
+--S 328 of 762
+cot(pie-1)-cot(pif-1)
+--R 
+--R
+--R   (238)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 328
+
+--S 329 of 762
+cot(pie)
+--R 
+--R
+--R   (239)  - 8165889364191922.
+--R                                                            Type: DoubleFloat
+--E 329
+
+--S 330 of 762
+cot(pie)-cot(pif)
+--R 
+--R
+--R   (240)  2.4723919844641404E+20
+--R                                                            Type: DoubleFloat
+--E 330
+
+--S 331 of 762
+cot(pie+1)
+--R 
+--R
+--R   (241)  0.64209261593433087
+--R                                                            Type: DoubleFloat
+--E 331
+
+--S 332 of 762
+cot(pie+1)-cot(pif+1)
+--R 
+--R
+--R   (242)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 332
+
+--S 333 of 762
+cot(2*pie-1)
+--R 
+--R
+--R   (243)  - 0.64209261593433031
+--R                                                            Type: DoubleFloat
+--E 333
+
+--S 334 of 762
+cot(2*pie-1)-cot(2*pif-1)
+--R 
+--R
+--R   (244)  3.3306690738754696E-16
+--R                                                            Type: DoubleFloat
+--E 334
+
+--S 335 of 762
+cot(2*pie)
+--R 
+--R
+--R   (245)  - 4082944682095961.
+--R                                                            Type: DoubleFloat
+--E 335
+
+--S 336 of 762
+cot(2*pie)-cot(2*pif)
+--R 
+--R
+--R   (246)  1.2361959922320702E+20
+--R                                                            Type: DoubleFloat
+--E 336
+
+--S 337 of 762
+cot(2*pie+1)
+--R 
+--R
+--R   (247)  0.64209261593433109
+--R                                                            Type: DoubleFloat
+--E 337
+
+--S 338 of 762
+cot(2*pie+1)-cot(2*pif+1)
+--R 
+--R
+--R   (248)  4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 338
+
+--S 339 of 762
+cot(3.0::DFLOAT)
+--R 
+--R
+--R   (249)  - 7.0152525514345339
+--R                                                            Type: DoubleFloat
+--E 339
+
+--S 340 of 762
+cot(3.0::DFLOAT)-cot(3.0::FLOAT)
+--R 
+--R
+--R   (250)  - 8.8817841970012523E-16
+--R                                                            Type: DoubleFloat
+--E 340
+
+
+-- asin -1 \le x \le 1
+-- principle value radians -%pi/2 \le x \le %pi/2
+-- principle value degress -90 \le x \le 90
+
+--S 341 of 762
+asin(-pie/4)
+--R 
+--R
+--R   (251)  - 0.90333911076651274
+--R                                                            Type: DoubleFloat
+--E 341
+
+--S 342 of 762
+asin(-pie/4)-asin(-pif/4)
+--R 
+--R
+--R   (252)  0.
+--R                                                            Type: DoubleFloat
+--E 342
+
+--S 343 of 762
+asin(-1::DFLOAT)
+--R 
+--R
+--R   (253)  - 1.5707963267948966
+--R                                                            Type: DoubleFloat
+--E 343
+
+--S 344 of 762
+asin(-1::DFLOAT)-asin(-1::FLOAT)
+--R 
+--R
+--R   (254)  0.
+--R                                                            Type: DoubleFloat
+--E 344
+
+--S 345 of 762
+asin(-0.5::DFLOAT)
+--R 
+--R
+--R   (255)  - 0.52359877559829893
+--R                                                            Type: DoubleFloat
+--E 345
+
+--S 346 of 762
+asin(-0.5::DFLOAT)-asin(-0.5::FLOAT)
+--R 
+--R
+--R   (256)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 346
+
+--S 347 of 762
+asin(0.0::DFLOAT)
+--R 
+--R
+--R   (257)  -0.
+--R                                                            Type: DoubleFloat
+--E 347
+
+--S 348 of 762
+asin(0.0::DFLOAT)-asin(0.0::FLOAT)
+--R 
+--R
+--R   (258)  0.
+--R                                                            Type: DoubleFloat
+--E 348
+
+--S 349 of 762
+asin(0.5::DFLOAT)
+--R 
+--R
+--R   (259)  0.52359877559829893
+--R                                                            Type: DoubleFloat
+--E 349
+
+--S 350 of 762
+asin(0.5::DFLOAT)-asin(0.5::FLOAT)
+--R 
+--R
+--R   (260)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 350
+
+--S 351 of 762
+asin(1::DFLOAT)
+--R 
+--R
+--R   (261)  1.5707963267948966
+--R                                                            Type: DoubleFloat
+--E 351
+
+--S 352 of 762
+asin(1::DFLOAT)-asin(1::FLOAT)
+--R 
+--R
+--R   (262)  0.
+--R                                                            Type: DoubleFloat
+--E 352
+
+--S 353 of 762
+asin(pie/4)
+--R 
+--R
+--R   (263)  0.90333911076651274
+--R                                                            Type: DoubleFloat
+--E 353
+
+--S 354 of 762
+asin(pie/4)-asin(pif/4)
+--R 
+--R
+--R   (264)  0.
+--R                                                            Type: DoubleFloat
+--E 354
+
+
+-- acos -1 \le x \le 1
+-- principle value radians 0 \le x \le \pi
+-- principle value degrees 0 \le x \le 90
+
+--S 355 of 762
+acos(-pie/4)
+--R 
+--R
+--R   (265)  2.4741354375614093
+--R                                                            Type: DoubleFloat
+--E 355
+
+--S 356 of 762
+acos(-pie/4)-acos(-pif/4)
+--R 
+--R
+--R   (266)  0.
+--R                                                            Type: DoubleFloat
+--E 356
+
+--S 357 of 762
+acos(-1::DFLOAT)
+--R 
+--R
+--R   (267)  3.1415926535897931
+--R                                                            Type: DoubleFloat
+--E 357
+
+--S 358 of 762
+acos(-1::DFLOAT)-acos(-1::FLOAT)
+--R 
+--R
+--R   (268)  0.
+--R                                                            Type: DoubleFloat
+--E 358
+
+--S 359 of 762
+acos(-0.5::DFLOAT)
+--R 
+--R
+--R   (269)  2.0943951023931953
+--R                                                            Type: DoubleFloat
+--E 359
+
+--S 360 of 762
+acos(-0.5::DFLOAT)-acos(-0.5::FLOAT)
+--R 
+--R
+--R   (270)  0.
+--R                                                            Type: DoubleFloat
+--E 360
+
+--S 361 of 762
+acos(0.0::DFLOAT)
+--R 
+--R
+--R   (271)  1.5707963267948966
+--R                                                            Type: DoubleFloat
+--E 361
+
+--S 362 of 762
+acos(0.0::DFLOAT)-acos(0.0::FLOAT)
+--R 
+--R
+--R   (272)  0.
+--R                                                            Type: DoubleFloat
+--E 362
+
+--S 363 of 762
+acos(0.5::DFLOAT)
+--R 
+--R
+--R   (273)  1.0471975511965976
+--R                                                            Type: DoubleFloat
+--E 363
+
+--S 364 of 762
+acos(0.5::DFLOAT)-acos(0.5::FLOAT)
+--R 
+--R
+--R   (274)  0.
+--R                                                            Type: DoubleFloat
+--E 364
+
+--S 365 of 762
+acos(1::DFLOAT)
+--R 
+--R
+--R   (275)  -0.
+--R                                                            Type: DoubleFloat
+--E 365
+
+--S 366 of 762
+acos(1::DFLOAT)-acos(1::FLOAT)
+--R 
+--R
+--R   (276)  0.
+--R                                                            Type: DoubleFloat
+--E 366
+
+--S 367 of 762
+acos(pie/4)
+--R 
+--R
+--R   (277)  0.66745721602838382
+--R                                                            Type: DoubleFloat
+--E 367
+
+--S 368 of 762
+acos(pie/4)-acos(pif/4)
+--R 
+--R
+--R   (278)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 368
+
+
+-- atan all real numbers
+-- principle value radians -\pi/2 < x \le \pi/2
+-- principle value degrees -90 < x \le 90
+
+--S 369 of 762
+atan(-3.0::DFLOAT)
+--R 
+--R
+--R   (279)  - 1.2490457723982544
+--R                                                            Type: DoubleFloat
+--E 369
+
+--S 370 of 762
+atan(-3.0::DFLOAT)-atan(-3.0::FLOAT)
+--R 
+--R
+--R   (280)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 370
+
+--S 371 of 762
+atan(-2*pie-1)
+--R 
+--R
+--R   (281)  - 1.4343469442122234
+--R                                                            Type: DoubleFloat
+--E 371
+
+--S 372 of 762
+atan(-2*pie-1)-atan(-2*pif-1)
+--R 
+--R
+--R   (282)  0.
+--R                                                            Type: DoubleFloat
+--E 372
+
+--S 373 of 762
+atan(-2*pie)
+--R 
+--R
+--R   (283)  - 1.4129651365067377
+--R                                                            Type: DoubleFloat
+--E 373
+
+--S 374 of 762
+atan(-2*pie)-atan(-2*pif)
+--R 
+--R
+--R   (284)  0.
+--R                                                            Type: DoubleFloat
+--E 374
+
+--S 375 of 762
+atan(-2*pie+1)
+--R 
+--R
+--R   (285)  - 1.3837296258353002
+--R                                                            Type: DoubleFloat
+--E 375
+
+--S 376 of 762
+atan(-2*pie+1)-atan(-2*pif+1)
+--R 
+--R
+--R   (286)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 376
+
+--S 377 of 762
+atan(-pie-1)
+--R 
+--R
+--R   (287)  - 1.3338779278148543
+--R                                                            Type: DoubleFloat
+--E 377
+
+--S 378 of 762
+atan(-pie-1)-atan(-pif-1)
+--R 
+--R
+--R   (288)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 378
+
+--S 379 of 762
+atan(-pie)
+--R 
+--R
+--R   (289)  - 1.2626272556789118
+--R                                                            Type: DoubleFloat
+--E 379
+
+--S 380 of 762
+atan(-pie)-atan(-pif)
+--R 
+--R
+--R   (290)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 380
+
+--S 381 of 762
+atan(-pie+1)
+--R 
+--R
+--R   (291)  - 1.1339429260639822
+--R                                                            Type: DoubleFloat
+--E 381
+
+--S 382 of 762
+atan(-pie+1)-atan(-pif+1)
+--R 
+--R
+--R   (292)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 382
+
+--S 383 of 762
+atan(-pie/4)
+--R 
+--R
+--R   (293)  - 0.66577375002835382
+--R                                                            Type: DoubleFloat
+--E 383
+
+--S 384 of 762
+atan(-pie/4)-atan(-pif/4)
+--R 
+--R
+--R   (294)  0.
+--R                                                            Type: DoubleFloat
+--E 384
+
+--S 385 of 762
+atan(-1::DFLOAT)
+--R 
+--R
+--R   (295)  - 0.78539816339744828
+--R                                                            Type: DoubleFloat
+--E 385
+
+--S 386 of 762
+atan(-1::DFLOAT)-atan(-1::FLOAT)
+--R 
+--R
+--R   (296)  0.
+--R                                                            Type: DoubleFloat
+--E 386
+
+--S 387 of 762
+atan(-0.5::DFLOAT)
+--R 
+--R
+--R   (297)  - 0.46364760900080609
+--R                                                            Type: DoubleFloat
+--E 387
+
+--S 388 of 762
+atan(-0.5::DFLOAT)-atan(-0.5::FLOAT)
+--R 
+--R
+--R   (298)  0.
+--R                                                            Type: DoubleFloat
+--E 388
+
+--S 389 of 762
+atan(0.0::DFLOAT)
+--R 
+--R
+--R   (299)  0.
+--R                                                            Type: DoubleFloat
+--E 389
+
+--S 390 of 762
+atan(0.0::DFLOAT)-atan(0.0::FLOAT)
+--R 
+--R
+--R   (300)  0.
+--R                                                            Type: DoubleFloat
+--E 390
+
+--S 391 of 762
+atan(0.5::DFLOAT)
+--R 
+--R
+--R   (301)  0.46364760900080609
+--R                                                            Type: DoubleFloat
+--E 391
+
+--S 392 of 762
+atan(0.5::DFLOAT)-atan(0.5::FLOAT)
+--R 
+--R
+--R   (302)  0.
+--R                                                            Type: DoubleFloat
+--E 392
+
+--S 393 of 762
+atan(1::DFLOAT)
+--R 
+--R
+--R   (303)  0.78539816339744828
+--R                                                            Type: DoubleFloat
+--E 393
+
+--S 394 of 762
+atan(1::DFLOAT)-atan(1::FLOAT)
+--R 
+--R
+--R   (304)  0.
+--R                                                            Type: DoubleFloat
+--E 394
+
+--S 395 of 762
+atan(pie/4)
+--R 
+--R
+--R   (305)  0.66577375002835382
+--R                                                            Type: DoubleFloat
+--E 395
+
+--S 396 of 762
+atan(pie/4)-atan(pif/4)
+--R 
+--R
+--R   (306)  0.
+--R                                                            Type: DoubleFloat
+--E 396
+
+--S 397 of 762
+atan(pie-1)
+--R 
+--R
+--R   (307)  1.1339429260639822
+--R                                                            Type: DoubleFloat
+--E 397
+
+--S 398 of 762
+atan(pie-1)-atan(pif-1)
+--R 
+--R
+--R   (308)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 398
+
+--S 399 of 762
+atan(pie)
+--R 
+--R
+--R   (309)  1.2626272556789118
+--R                                                            Type: DoubleFloat
+--E 399
+
+--S 400 of 762
+atan(pie)-atan(pif)
+--R 
+--R
+--R   (310)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 400
+
+--S 401 of 762
+atan(pie+1)
+--R 
+--R
+--R   (311)  1.3338779278148543
+--R                                                            Type: DoubleFloat
+--E 401
+
+--S 402 of 762
+atan(pie+1)-atan(pif+1)
+--R 
+--R
+--R   (312)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 402
+
+--S 403 of 762
+atan(2*pie-1)
+--R 
+--R
+--R   (313)  1.3837296258353002
+--R                                                            Type: DoubleFloat
+--E 403
+
+--S 404 of 762
+atan(2*pie-1)-atan(2*pif-1)
+--R 
+--R
+--R   (314)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 404
+
+--S 405 of 762
+atan(2*pie)
+--R 
+--R
+--R   (315)  1.4129651365067377
+--R                                                            Type: DoubleFloat
+--E 405
+
+--S 406 of 762
+atan(2*pie)-atan(2*pif)
+--R 
+--R
+--R   (316)  0.
+--R                                                            Type: DoubleFloat
+--E 406
+
+--S 407 of 762
+atan(2*pie+1)
+--R 
+--R
+--R   (317)  1.4343469442122234
+--R                                                            Type: DoubleFloat
+--E 407
+
+--S 408 of 762
+atan(2*pie+1)-atan(2*pif+1)
+--R 
+--R
+--R   (318)  0.
+--R                                                            Type: DoubleFloat
+--E 408
+
+--S 409 of 762
+atan(3.0::DFLOAT)
+--R 
+--R
+--R   (319)  1.2490457723982544
+--R                                                            Type: DoubleFloat
+--E 409
+
+--S 410 of 762
+atan(3.0::DFLOAT)-atan(3.0::FLOAT)
+--R 
+--R
+--R   (320)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 410
+
+
+-- acsc = 1/asin x \le -1 or 1 \le x
+-- principle value radians -\pi/2 \le x < 0 or 0 < x \le \pi/2
+-- principle value degrees -90 \le x \le 0 or o < x \le 90
+
+--S 411 of 762
+acsc(-3.0::DFLOAT)
+--R 
+--R
+--R   (321)  - 0.33983690945412193
+--R                                                            Type: DoubleFloat
+--E 411
+
+--S 412 of 762
+acsc(-3.0::DFLOAT)-acsc(-3.0::FLOAT)
+--R 
+--R
+--R   (322)  0.
+--R                                                            Type: DoubleFloat
+--E 412
+
+--S 413 of 762
+acsc(-2*pie-1)
+--R 
+--R
+--R   (323)  - 0.13773766757522507
+--R                                                            Type: DoubleFloat
+--E 413
+
+--S 414 of 762
+acsc(-2*pie-1)-acsc(-2*pif-1)
+--R 
+--R
+--R   (324)  - 5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 414
+
+--S 415 of 762
+acsc(-2*pie)
+--R 
+--R
+--R   (325)  - 0.15983462638513704
+--R                                                            Type: DoubleFloat
+--E 415
+
+--S 416 of 762
+acsc(-2*pie)-acsc(-2*pif)
+--R 
+--R
+--R   (326)  - 2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 416
+
+--S 417 of 762
+acsc(-2*pie+1)
+--R 
+--R
+--R   (327)  - 0.19042858622665818
+--R                                                            Type: DoubleFloat
+--E 417
+
+--S 418 of 762
+acsc(-2*pie+1)-acsc(-2*pif+1)
+--R 
+--R
+--R   (328)  - 2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 418
+
+--S 419 of 762
+acsc(-pie-1)
+--R 
+--R
+--R   (329)  - 0.24386288139282358
+--R                                                            Type: DoubleFloat
+--E 419
+
+--S 420 of 762
+acsc(-pie-1)-acsc(-pif-1)
+--R 
+--R
+--R   (330)  - 2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 420
+
+--S 421 of 762
+acsc(-pie)
+--R 
+--R
+--R   (331)  - 0.32394610693198073
+--R                                                            Type: DoubleFloat
+--E 421
+
+--S 422 of 762
+acsc(-pie)-acsc(-pif)
+--R 
+--R
+--R   (332)  - 5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 422
+
+--S 423 of 762
+acsc(-pie+1)
+--R 
+--R
+--R   (333)  - 0.48582969233724987
+--R                                                            Type: DoubleFloat
+--E 423
+
+--S 424 of 762
+acsc(-pie+1)-acsc(-pif+1)
+--R 
+--R
+--R   (334)  0.
+--R                                                            Type: DoubleFloat
+--E 424
+
+--S 425 of 762
+acsc(-1::DFLOAT)
+--R 
+--R
+--R   (335)  - 1.5707963267948966
+--R                                                            Type: DoubleFloat
+--E 425
+
+--S 426 of 762
+acsc(-1::DFLOAT)-acsc(-1::FLOAT)
+--R 
+--R
+--R   (336)  0.
+--R                                                            Type: DoubleFloat
+--E 426
+
+--S 427 of 762
+acsc(1::DFLOAT)
+--R 
+--R
+--R   (337)  1.5707963267948966
+--R                                                            Type: DoubleFloat
+--E 427
+
+--S 428 of 762
+acsc(1::DFLOAT)-acsc(1::FLOAT)
+--R 
+--R
+--R   (338)  0.
+--R                                                            Type: DoubleFloat
+--E 428
+
+--S 429 of 762
+acsc(pie-1)
+--R 
+--R
+--R   (339)  0.48582969233724987
+--R                                                            Type: DoubleFloat
+--E 429
+
+--S 430 of 762
+acsc(pie-1)-acsc(pif-1)
+--R 
+--R
+--R   (340)  0.
+--R                                                            Type: DoubleFloat
+--E 430
+
+--S 431 of 762
+acsc(pie)
+--R 
+--R
+--R   (341)  0.32394610693198073
+--R                                                            Type: DoubleFloat
+--E 431
+
+--S 432 of 762
+acsc(pie)-acsc(pif)
+--R 
+--R
+--R   (342)  5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 432
+
+--S 433 of 762
+acsc(pie+1)
+--R 
+--R
+--R   (343)  0.24386288139282358
+--R                                                            Type: DoubleFloat
+--E 433
+
+--S 434 of 762
+acsc(pie+1)-acsc(pif+1)
+--R 
+--R
+--R   (344)  2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 434
+
+--S 435 of 762
+acsc(2*pie-1)
+--R 
+--R
+--R   (345)  0.19042858622665818
+--R                                                            Type: DoubleFloat
+--E 435
+
+--S 436 of 762
+acsc(2*pie-1)-acsc(2*pif-1)
+--R 
+--R
+--R   (346)  2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 436
+
+--S 437 of 762
+acsc(2*pie)
+--R 
+--R
+--R   (347)  0.15983462638513704
+--R                                                            Type: DoubleFloat
+--E 437
+
+--S 438 of 762
+acsc(2*pie)-acsc(2*pif)
+--R 
+--R
+--R   (348)  2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 438
+
+--S 439 of 762
+acsc(2*pie+1)
+--R 
+--R
+--R   (349)  0.13773766757522507
+--R                                                            Type: DoubleFloat
+--E 439
+
+--S 440 of 762
+acsc(2*pie+1)-acsc(2*pif+1)
+--R 
+--R
+--R   (350)  5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 440
+
+--S 441 of 762
+acsc(3.0::DFLOAT)
+--R 
+--R
+--R   (351)  0.33983690945412193
+--R                                                            Type: DoubleFloat
+--E 441
+
+--S 442 of 762
+acsc(3.0::DFLOAT)-acsc(3.0::FLOAT)
+--R 
+--R
+--R   (352)  0.
+--R                                                            Type: DoubleFloat
+--E 442
+
+
+-- asec 
+-- asec = x \le -1 or 1 \le x
+-- principle value radians 0 \le x \pi/2 or \pi/2 < x \le \pi
+-- principle value degrees 0 \le x < 90 or 90 < x \le 180
+
+--S 443 of 762
+asec(-3.0::DFLOAT)
+--R 
+--R
+--R   (353)  1.9106332362490184
+--R                                                            Type: DoubleFloat
+--E 443
+
+--S 444 of 762
+asec(-3.0::DFLOAT)-asec(-3.0::FLOAT)
+--R 
+--R
+--R   (354)  0.
+--R                                                            Type: DoubleFloat
+--E 444
+
+--S 445 of 762
+asec(-2*pie-1)
+--R 
+--R
+--R   (355)  1.7085339943701217
+--R                                                            Type: DoubleFloat
+--E 445
+
+--S 446 of 762
+asec(-2*pie-1)-asec(-2*pif-1)
+--R 
+--R
+--R   (356)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 446
+
+--S 447 of 762
+asec(-2*pie)
+--R 
+--R
+--R   (357)  1.7306309531800335
+--R                                                            Type: DoubleFloat
+--E 447
+
+--S 448 of 762
+asec(-2*pie)-asec(-2*pif)
+--R 
+--R
+--R   (358)  0.
+--R                                                            Type: DoubleFloat
+--E 448
+
+--S 449 of 762
+asec(-2*pie+1)
+--R 
+--R
+--R   (359)  1.7612249130215547
+--R                                                            Type: DoubleFloat
+--E 449
+
+--S 450 of 762
+asec(-2*pie+1)-asec(-2*pif+1)
+--R 
+--R
+--R   (360)  0.
+--R                                                            Type: DoubleFloat
+--E 450
+
+--S 451 of 762
+asec(-pie-1)
+--R 
+--R
+--R   (361)  1.81465920818772
+--R                                                            Type: DoubleFloat
+--E 451
+
+--S 452 of 762
+asec(-pie-1)-asec(-pif-1)
+--R 
+--R
+--R   (362)  0.
+--R                                                            Type: DoubleFloat
+--E 452
+
+--S 453 of 762
+asec(-pie)
+--R 
+--R
+--R   (363)  1.8947424337268772
+--R                                                            Type: DoubleFloat
+--E 453
+
+--S 454 of 762
+asec(-pie)-asec(-pif)
+--R 
+--R
+--R   (364)  0.
+--R                                                            Type: DoubleFloat
+--E 454
+
+--S 455 of 762
+asec(-pie+1)
+--R 
+--R
+--R   (365)  2.0566260191321466
+--R                                                            Type: DoubleFloat
+--E 455
+
+--S 456 of 762
+asec(-pie+1)-asec(-pif+1)
+--R 
+--R
+--R   (366)  4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 456
+
+--S 457 of 762
+asec(-1::DFLOAT)
+--R 
+--R
+--R   (367)  3.1415926535897931
+--R                                                            Type: DoubleFloat
+--E 457
+
+--S 458 of 762
+asec(-1::DFLOAT)-asec(-1::FLOAT)
+--R 
+--R
+--R   (368)  0.
+--R                                                            Type: DoubleFloat
+--E 458
+
+--S 459 of 762
+asec(1::DFLOAT)
+--R 
+--R
+--R   (369)  -0.
+--R                                                            Type: DoubleFloat
+--E 459
+
+--S 460 of 762
+asec(1::DFLOAT)-asec(1::FLOAT)
+--R 
+--R
+--R   (370)  0.
+--R                                                            Type: DoubleFloat
+--E 460
+
+--S 461 of 762
+asec(pie-1)
+--R 
+--R
+--R   (371)  1.0849666344576467
+--R                                                            Type: DoubleFloat
+--E 461
+
+--S 462 of 762
+asec(pie-1)-asec(pif-1)
+--R 
+--R
+--R   (372)  0.
+--R                                                            Type: DoubleFloat
+--E 462
+
+--S 463 of 762
+asec(pie)
+--R 
+--R
+--R   (373)  1.2468502198629159
+--R                                                            Type: DoubleFloat
+--E 463
+
+--S 464 of 762
+asec(pie)-asec(pif)
+--R 
+--R
+--R   (374)  0.
+--R                                                            Type: DoubleFloat
+--E 464
+
+--S 465 of 762
+asec(pie+1)
+--R 
+--R
+--R   (375)  1.3269334454020731
+--R                                                            Type: DoubleFloat
+--E 465
+
+--S 466 of 762
+asec(pie+1)-asec(pif+1)
+--R 
+--R
+--R   (376)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 466
+
+--S 467 of 762
+asec(2*pie-1)
+--R 
+--R
+--R   (377)  1.3803677405682384
+--R                                                            Type: DoubleFloat
+--E 467
+
+--S 468 of 762
+asec(2*pie-1)-asec(2*pif-1)
+--R 
+--R
+--R   (378)  0.
+--R                                                            Type: DoubleFloat
+--E 468
+
+--S 469 of 762
+asec(2*pie)
+--R 
+--R
+--R   (379)  1.4109617004097597
+--R                                                            Type: DoubleFloat
+--E 469
+
+--S 470 of 762
+asec(2*pie)-asec(2*pif)
+--R 
+--R
+--R   (380)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 470
+
+--S 471 of 762
+asec(2*pie+1)
+--R 
+--R
+--R   (381)  1.4330586592196715
+--R                                                            Type: DoubleFloat
+--E 471
+
+--S 472 of 762
+asec(2*pie+1)-asec(2*pif+1)
+--R 
+--R
+--R   (382)  0.
+--R                                                            Type: DoubleFloat
+--E 472
+
+--S 473 of 762
+asec(3.0::DFLOAT)
+--R 
+--R
+--R   (383)  1.2309594173407747
+--R                                                            Type: DoubleFloat
+--E 473
+
+--S 474 of 762
+asec(3.0::DFLOAT)-asec(3.0::FLOAT)
+--R 
+--R
+--R   (384)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 474
+
+
+-- acot all real numbers
+-- principle value radians 0 < x < \pi
+-- principle value degrees 0 < x < 180
+
+--S 475 of 762
+acot(-3.0::DFLOAT)
+--R 
+--R
+--R   (385)  2.819842099193151
+--R                                                            Type: DoubleFloat
+--E 475
+
+--S 476 of 762
+acot(-3.0::DFLOAT)-acot(-3.0::FLOAT)
+--R 
+--R
+--R   (386)  0.
+--R                                                            Type: DoubleFloat
+--E 476
+
+--S 477 of 762
+acot(-2*pie-1)
+--R 
+--R
+--R   (387)  3.0051432710071202
+--R                                                            Type: DoubleFloat
+--E 477
+
+--S 478 of 762
+acot(-2*pie-1)-acot(-2*pif-1)
+--R 
+--R
+--R   (388)  4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 478
+
+--S 479 of 762
+acot(-2*pie)
+--R 
+--R
+--R   (389)  2.9837614633016343
+--R                                                            Type: DoubleFloat
+--E 479
+
+--S 480 of 762
+acot(-2*pie)-acot(-2*pif)
+--R 
+--R
+--R   (390)  0.
+--R                                                            Type: DoubleFloat
+--E 480
+
+--S 481 of 762
+acot(-2*pie+1)
+--R 
+--R
+--R   (391)  2.9545259526301968
+--R                                                            Type: DoubleFloat
+--E 481
+
+--S 482 of 762
+acot(-2*pie+1)-acot(-2*pif+1)
+--R 
+--R
+--R   (392)  4.4408920985006262E-16
+--R                                                            Type: DoubleFloat
+--E 482
+
+--S 483 of 762
+acot(-pie-1)
+--R 
+--R
+--R   (393)  2.9046742546097506
+--R                                                            Type: DoubleFloat
+--E 483
+
+--S 484 of 762
+acot(-pie-1)-acot(-pif-1)
+--R 
+--R
+--R   (394)  0.
+--R                                                            Type: DoubleFloat
+--E 484
+
+--S 485 of 762
+acot(-pie)
+--R 
+--R
+--R   (395)  2.8334235824738081
+--R                                                            Type: DoubleFloat
+--E 485
+
+--S 486 of 762
+acot(-pie)-acot(-pif)
+--R 
+--R
+--R   (396)  0.
+--R                                                            Type: DoubleFloat
+--E 486
+
+--S 487 of 762
+acot(-pie+1)
+--R 
+--R
+--R   (397)  2.7047392528588787
+--R                                                            Type: DoubleFloat
+--E 487
+
+--S 488 of 762
+acot(-pie+1)-acot(-pif+1)
+--R 
+--R
+--R   (398)  0.
+--R                                                            Type: DoubleFloat
+--E 488
+
+--S 489 of 762
+acot(-pie/4)
+--R 
+--R
+--R   (399)  2.2365700768232504
+--R                                                            Type: DoubleFloat
+--E 489
+
+--S 490 of 762
+acot(-pie/4)-acot(-pif/4)
+--R 
+--R
+--R   (400)  0.
+--R                                                            Type: DoubleFloat
+--E 490
+
+--S 491 of 762
+acot(-1::DFLOAT)
+--R 
+--R
+--R   (401)  2.3561944901923448
+--R                                                            Type: DoubleFloat
+--E 491
+
+--S 492 of 762
+acot(-1::DFLOAT)-acot(-1::FLOAT)
+--R 
+--R
+--R   (402)  0.
+--R                                                            Type: DoubleFloat
+--E 492
+
+--S 493 of 762
+acot(-0.5::DFLOAT)
+--R 
+--R
+--R   (403)  2.0344439357957027
+--R                                                            Type: DoubleFloat
+--E 493
+
+--S 494 of 762
+acot(-0.5::DFLOAT)-acot(-0.5::FLOAT)
+--R 
+--R
+--R   (404)  0.
+--R                                                            Type: DoubleFloat
+--E 494
+
+--S 495 of 762
+acot(0.5::DFLOAT)
+--R 
+--R
+--R   (405)  1.1071487177940904
+--R                                                            Type: DoubleFloat
+--E 495
+
+--S 496 of 762
+acot(0.5::DFLOAT)-acot(0.5::FLOAT)
+--R 
+--R
+--R   (406)  0.
+--R                                                            Type: DoubleFloat
+--E 496
+
+--S 497 of 762
+acot(1::DFLOAT)
+--R 
+--R
+--R   (407)  0.78539816339744828
+--R                                                            Type: DoubleFloat
+--E 497
+
+--S 498 of 762
+acot(1::DFLOAT)-acot(1::FLOAT)
+--R 
+--R
+--R   (408)  0.
+--R                                                            Type: DoubleFloat
+--E 498
+
+--S 499 of 762
+acot(pie/4)
+--R 
+--R
+--R   (409)  0.90502257676654274
+--R                                                            Type: DoubleFloat
+--E 499
+
+--S 500 of 762
+acot(pie/4)-acot(pif/4)
+--R 
+--R
+--R   (410)  0.
+--R                                                            Type: DoubleFloat
+--E 500
+
+--S 501 of 762
+acot(pie-1)
+--R 
+--R
+--R   (411)  0.43685340073091444
+--R                                                            Type: DoubleFloat
+--E 501
+
+--S 502 of 762
+acot(pie-1)-acot(pif-1)
+--R 
+--R
+--R   (412)  0.
+--R                                                            Type: DoubleFloat
+--E 502
+
+--S 503 of 762
+acot(pie)
+--R 
+--R
+--R   (413)  0.30816907111598496
+--R                                                            Type: DoubleFloat
+--E 503
+
+--S 504 of 762
+acot(pie)-acot(pif)
+--R 
+--R
+--R   (414)  5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 504
+
+--S 505 of 762
+acot(pie+1)
+--R 
+--R
+--R   (415)  0.23691839898004241
+--R                                                            Type: DoubleFloat
+--E 505
+
+--S 506 of 762
+acot(pie+1)-acot(pif+1)
+--R 
+--R
+--R   (416)  2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 506
+
+--S 507 of 762
+acot(2*pie-1)
+--R 
+--R
+--R   (417)  0.18706670095959646
+--R                                                            Type: DoubleFloat
+--E 507
+
+--S 508 of 762
+acot(2*pie-1)-acot(2*pif-1)
+--R 
+--R
+--R   (418)  2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 508
+
+--S 509 of 762
+acot(2*pie)
+--R 
+--R
+--R   (419)  0.15783119028815887
+--R                                                            Type: DoubleFloat
+--E 509
+
+--S 510 of 762
+acot(2*pie)-acot(2*pif)
+--R 
+--R
+--R   (420)  2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 510
+
+--S 511 of 762
+acot(2*pie+1)
+--R 
+--R
+--R   (421)  0.13644938258267314
+--R                                                            Type: DoubleFloat
+--E 511
+
+--S 512 of 762
+acot(2*pie+1)-acot(2*pif+1)
+--R 
+--R
+--R   (422)  2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 512
+
+--S 513 of 762
+acot(3.0::DFLOAT)
+--R 
+--R
+--R   (423)  0.32175055439664219
+--R                                                            Type: DoubleFloat
+--E 513
+
+--S 514 of 762
+acot(3.0::DFLOAT)-acot(3.0::FLOAT)
+--R 
+--R
+--R   (424)  0.
+--R                                                            Type: DoubleFloat
+--E 514
+
+
+-- sinh
+
+--S 515 of 762
+sinh(-3.0::DFLOAT)
+--R 
+--R
+--R   (425)  - 10.017874927409903
+--R                                                            Type: DoubleFloat
+--E 515
+
+--S 516 of 762
+sinh(-3.0::DFLOAT)-sinh(-3.0::FLOAT)
+--R 
+--R
+--R   (426)  - 1.7763568394002505E-15
+--R                                                            Type: DoubleFloat
+--E 516
+
+--S 517 of 762
+sinh(-2*pie-1)
+--R 
+--R
+--R   (427)  - 727.80827475531487
+--R                                                            Type: DoubleFloat
+--E 517
+
+--S 518 of 762
+sinh(-2*pie-1)-sinh(-2*pif-1)
+--R 
+--R
+--R   (428)  1.1368683772161603E-13
+--R                                                            Type: DoubleFloat
+--E 518
+
+--S 519 of 762
+sinh(-2*pie)
+--R 
+--R
+--R   (429)  - 267.74489404101644
+--R                                                            Type: DoubleFloat
+--E 519
+
+--S 520 of 762
+sinh(-2*pie)-sinh(-2*pif)
+--R 
+--R
+--R   (430)  5.6843418860808015E-14
+--R                                                            Type: DoubleFloat
+--E 520
+
+--S 521 of 762
+sinh(-2*pie+1)
+--R 
+--R
+--R   (431)  - 98.495647375388813
+--R                                                            Type: DoubleFloat
+--E 521
+
+--S 522 of 762
+sinh(-2*pie+1)-sinh(-2*pif+1)
+--R 
+--R
+--R   (432)  1.4210854715202004E-14
+--R                                                            Type: DoubleFloat
+--E 522
+
+--S 523 of 762
+sinh(-pie-1)
+--R 
+--R
+--R   (433)  - 31.44351338476914
+--R                                                            Type: DoubleFloat
+--E 523
+
+--S 524 of 762
+sinh(-pie-1)-sinh(-pif-1)
+--R 
+--R
+--R   (434)  0.
+--R                                                            Type: DoubleFloat
+--E 524
+
+--S 525 of 762
+sinh(-pie)
+--R 
+--R
+--R   (435)  - 11.548739357257746
+--R                                                            Type: DoubleFloat
+--E 525
+
+--S 526 of 762
+sinh(-pie)-sinh(-pif)
+--R 
+--R
+--R   (436)  1.7763568394002505E-15
+--R                                                            Type: DoubleFloat
+--E 526
+
+--S 527 of 762
+sinh(-pie+1)
+--R 
+--R
+--R   (437)  - 4.1977587326570109
+--R                                                            Type: DoubleFloat
+--E 527
+
+--S 528 of 762
+sinh(-pie+1)-sinh(-pif+1)
+--R 
+--R
+--R   (438)  0.
+--R                                                            Type: DoubleFloat
+--E 528
+
+--S 529 of 762
+sinh(-pie/4)
+--R 
+--R
+--R   (439)  - 0.86867096148600953
+--R                                                            Type: DoubleFloat
+--E 529
+
+--S 530 of 762
+sinh(-pie/4)-sinh(-pif/4)
+--R 
+--R
+--R   (440)  0.
+--R                                                            Type: DoubleFloat
+--E 530
+
+--S 531 of 762
+sinh(-1::DFLOAT)
+--R 
+--R
+--R   (441)  - 1.1752011936438014
+--R                                                            Type: DoubleFloat
+--E 531
+
+--S 532 of 762
+sinh(-1::DFLOAT)-sinh(-1::FLOAT)
+--R 
+--R
+--R   (442)  0.
+--R                                                            Type: DoubleFloat
+--E 532
+
+--S 533 of 762
+sinh(-0.5::DFLOAT)
+--R 
+--R
+--R   (443)  - 0.52109530549374738
+--R                                                            Type: DoubleFloat
+--E 533
+
+--S 534 of 762
+sinh(-0.5::DFLOAT)-sinh(-0.5::FLOAT)
+--R 
+--R
+--R   (444)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 534
+
+--S 535 of 762
+sinh(0.0::DFLOAT)
+--R 
+--R
+--R   (445)  0.
+--R                                                            Type: DoubleFloat
+--E 535
+
+--S 536 of 762
+sinh(0.0::DFLOAT)-sinh(0.0::FLOAT)
+--R 
+--R
+--R   (446)  0.
+--R                                                            Type: DoubleFloat
+--E 536
+
+--S 537 of 762
+sinh(0.5::DFLOAT)
+--R 
+--R
+--R   (447)  0.52109530549374738
+--R                                                            Type: DoubleFloat
+--E 537
+
+--S 538 of 762
+sinh(0.5::DFLOAT)-sinh(0.5::FLOAT)
+--R 
+--R
+--R   (448)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 538
+
+--S 539 of 762
+sinh(1::DFLOAT)
+--R 
+--R
+--R   (449)  1.1752011936438014
+--R                                                            Type: DoubleFloat
+--E 539
+
+--S 540 of 762
+sinh(1::DFLOAT)-sinh(1::FLOAT)
+--R 
+--R
+--R   (450)  0.
+--R                                                            Type: DoubleFloat
+--E 540
+
+--S 541 of 762
+sinh(pie/4)
+--R 
+--R
+--R   (451)  0.86867096148600953
+--R                                                            Type: DoubleFloat
+--E 541
+
+--S 542 of 762
+sinh(pie/4)-sinh(pif/4)
+--R 
+--R
+--R   (452)  0.
+--R                                                            Type: DoubleFloat
+--E 542
+
+--S 543 of 762
+sinh(pie-1)
+--R 
+--R
+--R   (453)  4.1977587326570109
+--R                                                            Type: DoubleFloat
+--E 543
+
+--S 544 of 762
+sinh(pie-1)-sinh(pif-1)
+--R 
+--R
+--R   (454)  0.
+--R                                                            Type: DoubleFloat
+--E 544
+
+--S 545 of 762
+sinh(pie)
+--R 
+--R
+--R   (455)  11.548739357257748
+--R                                                            Type: DoubleFloat
+--E 545
+
+--S 546 of 762
+sinh(pie)-sinh(pif)
+--R 
+--R
+--R   (456)  0.
+--R                                                            Type: DoubleFloat
+--E 546
+
+--S 547 of 762
+sinh(pie+1)
+--R 
+--R
+--R   (457)  31.44351338476914
+--R                                                            Type: DoubleFloat
+--E 547
+
+--S 548 of 762
+sinh(pie+1)-sinh(pif+1)
+--R 
+--R
+--R   (458)  0.
+--R                                                            Type: DoubleFloat
+--E 548
+
+--S 549 of 762
+sinh(2*pie-1)
+--R 
+--R
+--R   (459)  98.495647375388799
+--R                                                            Type: DoubleFloat
+--E 549
+
+--S 550 of 762
+sinh(2*pie-1)-sinh(2*pif-1)
+--R 
+--R
+--R   (460)  - 2.8421709430404007E-14
+--R                                                            Type: DoubleFloat
+--E 550
+
+--S 551 of 762
+sinh(2*pie)
+--R 
+--R
+--R   (461)  267.74489404101644
+--R                                                            Type: DoubleFloat
+--E 551
+
+--S 552 of 762
+sinh(2*pie)-sinh(2*pif)
+--R 
+--R
+--R   (462)  - 5.6843418860808015E-14
+--R                                                            Type: DoubleFloat
+--E 552
+
+--S 553 of 762
+sinh(2*pie+1)
+--R 
+--R
+--R   (463)  727.80827475531487
+--R                                                            Type: DoubleFloat
+--E 553
+
+--S 554 of 762
+sinh(2*pie+1)-sinh(2*pif+1)
+--R 
+--R
+--R   (464)  - 1.1368683772161603E-13
+--R                                                            Type: DoubleFloat
+--E 554
+
+--S 555 of 762
+sinh(3.0::DFLOAT)
+--R 
+--R
+--R   (465)  10.017874927409903
+--R                                                            Type: DoubleFloat
+--E 555
+
+--S 556 of 762
+sinh(3.0::DFLOAT)-sinh(3.0::FLOAT)
+--R 
+--R
+--R   (466)  1.7763568394002505E-15
+--R                                                            Type: DoubleFloat
+--E 556
+
+
+-- cosh
+
+--S 557 of 762
+cosh(-3.0::DFLOAT)
+--R 
+--R
+--R   (467)  10.067661995777765
+--R                                                            Type: DoubleFloat
+--E 557
+
+--S 558 of 762
+cosh(-3.0::DFLOAT)-cosh(-3.0::FLOAT)
+--R 
+--R
+--R   (468)  0.
+--R                                                            Type: DoubleFloat
+--E 558
+
+--S 559 of 762
+cosh(-2*pie-1)
+--R 
+--R
+--R   (469)  727.80896174910345
+--R                                                            Type: DoubleFloat
+--E 559
+
+--S 560 of 762
+cosh(-2*pie-1)-cosh(-2*pif-1)
+--R 
+--R
+--R   (470)  - 1.1368683772161603E-13
+--R                                                            Type: DoubleFloat
+--E 560
+
+--S 561 of 762
+cosh(-2*pie)
+--R 
+--R
+--R   (471)  267.74676148374817
+--R                                                            Type: DoubleFloat
+--E 561
+
+--S 562 of 762
+cosh(-2*pie)-cosh(-2*pif)
+--R 
+--R
+--R   (472)  0.
+--R                                                            Type: DoubleFloat
+--E 562
+
+--S 563 of 762
+cosh(-2*pie+1)
+--R 
+--R
+--R   (473)  98.5007236110321
+--R                                                            Type: DoubleFloat
+--E 563
+
+--S 564 of 762
+cosh(-2*pie+1)-cosh(-2*pif+1)
+--R 
+--R
+--R   (474)  - 1.4210854715202004E-14
+--R                                                            Type: DoubleFloat
+--E 564
+
+--S 565 of 762
+cosh(-pie-1)
+--R 
+--R
+--R   (475)  31.459410896870843
+--R                                                            Type: DoubleFloat
+--E 565
+
+--S 566 of 762
+cosh(-pie-1)-cosh(-pif-1)
+--R 
+--R
+--R   (476)  - 3.5527136788005009E-15
+--R                                                            Type: DoubleFloat
+--E 566
+
+--S 567 of 762
+cosh(-pie)
+--R 
+--R
+--R   (477)  11.591953275521517
+--R                                                            Type: DoubleFloat
+--E 567
+
+--S 568 of 762
+cosh(-pie)-cosh(-pif)
+--R 
+--R
+--R   (478)  - 3.5527136788005009E-15
+--R                                                            Type: DoubleFloat
+--E 568
+
+--S 569 of 762
+cosh(-pie+1)
+--R 
+--R
+--R   (479)  4.3152263414099377
+--R                                                            Type: DoubleFloat
+--E 569
+
+--S 570 of 762
+cosh(-pie+1)-cosh(-pif+1)
+--R 
+--R
+--R   (480)  0.
+--R                                                            Type: DoubleFloat
+--E 570
+
+--S 571 of 762
+cosh(-pie/4)
+--R 
+--R
+--R   (481)  1.3246090892520057
+--R                                                            Type: DoubleFloat
+--E 571
+
+--S 572 of 762
+cosh(-pie/4)-cosh(-pif/4)
+--R 
+--R
+--R   (482)  0.
+--R                                                            Type: DoubleFloat
+--E 572
+
+--S 573 of 762
+cosh(-1::DFLOAT)
+--R 
+--R
+--R   (483)  1.5430806348152437
+--R                                                            Type: DoubleFloat
+--E 573
+
+--S 574 of 762
+cosh(-1::DFLOAT)-cosh(-1::FLOAT)
+--R 
+--R
+--R   (484)  0.
+--R                                                            Type: DoubleFloat
+--E 574
+
+--S 575 of 762
+cosh(-0.5::DFLOAT)
+--R 
+--R
+--R   (485)  1.1276259652063807
+--R                                                            Type: DoubleFloat
+--E 575
+
+--S 576 of 762
+cosh(-0.5::DFLOAT)-cosh(-0.5::FLOAT)
+--R 
+--R
+--R   (486)  0.
+--R                                                            Type: DoubleFloat
+--E 576
+
+--S 577 of 762
+cosh(0.0::DFLOAT)
+--R 
+--R
+--R   (487)  1.
+--R                                                            Type: DoubleFloat
+--E 577
+
+--S 578 of 762
+cosh(0.0::DFLOAT)-cosh(0.0::FLOAT)
+--R 
+--R
+--R   (488)  0.
+--R                                                            Type: DoubleFloat
+--E 578
+
+--S 579 of 762
+cosh(0.5::DFLOAT)
+--R 
+--R
+--R   (489)  1.1276259652063807
+--R                                                            Type: DoubleFloat
+--E 579
+
+--S 580 of 762
+cosh(0.5::DFLOAT)-cosh(0.5::FLOAT)
+--R 
+--R
+--R   (490)  0.
+--R                                                            Type: DoubleFloat
+--E 580
+
+--S 581 of 762
+cosh(1::DFLOAT)
+--R 
+--R
+--R   (491)  1.5430806348152437
+--R                                                            Type: DoubleFloat
+--E 581
+
+--S 582 of 762
+cosh(1::DFLOAT)-cosh(1::FLOAT)
+--R 
+--R
+--R   (492)  0.
+--R                                                            Type: DoubleFloat
+--E 582
+
+--S 583 of 762
+cosh(pie/4)
+--R 
+--R
+--R   (493)  1.3246090892520057
+--R                                                            Type: DoubleFloat
+--E 583
+
+--S 584 of 762
+cosh(pie/4)-cosh(pif/4)
+--R 
+--R
+--R   (494)  0.
+--R                                                            Type: DoubleFloat
+--E 584
+
+--S 585 of 762
+cosh(pie-1)
+--R 
+--R
+--R   (495)  4.3152263414099377
+--R                                                            Type: DoubleFloat
+--E 585
+
+--S 586 of 762
+cosh(pie-1)-cosh(pif-1)
+--R 
+--R
+--R   (496)  0.
+--R                                                            Type: DoubleFloat
+--E 586
+
+--S 587 of 762
+cosh(pie)
+--R 
+--R
+--R   (497)  11.591953275521519
+--R                                                            Type: DoubleFloat
+--E 587
+
+--S 588 of 762
+cosh(pie)-cosh(pif)
+--R 
+--R
+--R   (498)  - 1.7763568394002505E-15
+--R                                                            Type: DoubleFloat
+--E 588
+
+--S 589 of 762
+cosh(pie+1)
+--R 
+--R
+--R   (499)  31.459410896870843
+--R                                                            Type: DoubleFloat
+--E 589
+
+--S 590 of 762
+cosh(pie+1)-cosh(pif+1)
+--R 
+--R
+--R   (500)  - 3.5527136788005009E-15
+--R                                                            Type: DoubleFloat
+--E 590
+
+--S 591 of 762
+cosh(2*pie-1)
+--R 
+--R
+--R   (501)  98.500723611032086
+--R                                                            Type: DoubleFloat
+--E 591
+
+--S 592 of 762
+cosh(2*pie-1)-cosh(2*pif-1)
+--R 
+--R
+--R   (502)  - 2.8421709430404007E-14
+--R                                                            Type: DoubleFloat
+--E 592
+
+--S 593 of 762
+cosh(2*pie)
+--R 
+--R
+--R   (503)  267.74676148374817
+--R                                                            Type: DoubleFloat
+--E 593
+
+--S 594 of 762
+cosh(2*pie)-cosh(2*pif)
+--R 
+--R
+--R   (504)  0.
+--R                                                            Type: DoubleFloat
+--E 594
+
+--S 595 of 762
+cosh(2*pie+1)
+--R 
+--R
+--R   (505)  727.80896174910345
+--R                                                            Type: DoubleFloat
+--E 595
+
+--S 596 of 762
+cosh(2*pie+1)-cosh(2*pif+1)
+--R 
+--R
+--R   (506)  - 1.1368683772161603E-13
+--R                                                            Type: DoubleFloat
+--E 596
+
+--S 597 of 762
+cosh(3.0::DFLOAT)
+--R 
+--R
+--R   (507)  10.067661995777765
+--R                                                            Type: DoubleFloat
+--E 597
+
+--S 598 of 762
+cosh(3.0::DFLOAT)-cosh(3.0::FLOAT)
+--R 
+--R
+--R   (508)  0.
+--R                                                            Type: DoubleFloat
+--E 598
+
+
+
+-- tanh
+
+--S 599 of 762
+tanh(-3.0::DFLOAT)
+--R 
+--R
+--R   (509)  - 0.99505475368673058
+--R                                                            Type: DoubleFloat
+--E 599
+
+--S 600 of 762
+tanh(-3.0::DFLOAT)-tanh(-3.0::FLOAT)
+--R 
+--R
+--R   (510)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 600
+
+--S 601 of 762
+tanh(-2*pie-1)
+--R 
+--R
+--R   (511)  - 0.99999905607951445
+--R                                                            Type: DoubleFloat
+--E 601
+
+--S 602 of 762
+tanh(-2*pie-1)-tanh(-2*pif-1)
+--R 
+--R
+--R   (512)  0.
+--R                                                            Type: DoubleFloat
+--E 602
+
+--S 603 of 762
+tanh(-2*pie)
+--R 
+--R
+--R   (513)  - 0.99999302533961054
+--R                                                            Type: DoubleFloat
+--E 603
+
+--S 604 of 762
+tanh(-2*pie)-tanh(-2*pif)
+--R 
+--R
+--R   (514)  0.
+--R                                                            Type: DoubleFloat
+--E 604
+
+--S 605 of 762
+tanh(-2*pie+1)
+--R 
+--R
+--R   (515)  - 0.99994846499135037
+--R                                                            Type: DoubleFloat
+--E 605
+
+--S 606 of 762
+tanh(-2*pie+1)-tanh(-2*pif+1)
+--R 
+--R
+--R   (516)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 606
+
+--S 607 of 762
+tanh(-pie-1)
+--R 
+--R
+--R   (517)  - 0.99949466593148173
+--R                                                            Type: DoubleFloat
+--E 607
+
+--S 608 of 762
+tanh(-pie-1)-tanh(-pif-1)
+--R 
+--R
+--R   (518)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 608
+
+--S 609 of 762
+tanh(-pie)
+--R 
+--R
+--R   (519)  - 0.99627207622075009
+--R                                                            Type: DoubleFloat
+--E 609
+
+--S 610 of 762
+tanh(-pie)-tanh(-pif)
+--R 
+--R
+--R   (520)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 610
+
+--S 611 of 762
+tanh(-pie+1)
+--R 
+--R
+--R   (521)  - 0.97277834360026971
+--R                                                            Type: DoubleFloat
+--E 611
+
+--S 612 of 762
+tanh(-pie+1)-tanh(-pif+1)
+--R 
+--R
+--R   (522)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 612
+
+--S 613 of 762
+tanh(-pie/4)
+--R 
+--R
+--R   (523)  - 0.65579420263267241
+--R                                                            Type: DoubleFloat
+--E 613
+
+--S 614 of 762
+tanh(-pie/4)-tanh(-pif/4)
+--R 
+--R
+--R   (524)  0.
+--R                                                            Type: DoubleFloat
+--E 614
+
+--S 615 of 762
+tanh(-1::DFLOAT)
+--R 
+--R
+--R   (525)  - 0.76159415595576485
+--R                                                            Type: DoubleFloat
+--E 615
+
+--S 616 of 762
+tanh(-1::DFLOAT)-tanh(-1::FLOAT)
+--R 
+--R
+--R   (526)  0.
+--R                                                            Type: DoubleFloat
+--E 616
+
+--S 617 of 762
+tanh(-0.5::DFLOAT)
+--R 
+--R
+--R   (527)  - 0.46211715726000979
+--R                                                            Type: DoubleFloat
+--E 617
+
+--S 618 of 762
+tanh(-0.5::DFLOAT)-tanh(-0.5::FLOAT)
+--R 
+--R
+--R   (528)  - 5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 618
+
+--S 619 of 762
+tanh(0.0::DFLOAT)
+--R 
+--R
+--R   (529)  0.
+--R                                                            Type: DoubleFloat
+--E 619
+
+--S 620 of 762
+tanh(0.0::DFLOAT)-tanh(0.0::FLOAT)
+--R 
+--R
+--R   (530)  0.
+--R                                                            Type: DoubleFloat
+--E 620
+
+--S 621 of 762
+tanh(0.5::DFLOAT)
+--R 
+--R
+--R   (531)  0.46211715726000979
+--R                                                            Type: DoubleFloat
+--E 621
+
+--S 622 of 762
+tanh(0.5::DFLOAT)-tanh(0.5::FLOAT)
+--R 
+--R
+--R   (532)  5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 622
+
+--S 623 of 762
+tanh(1::DFLOAT)
+--R 
+--R
+--R   (533)  0.76159415595576485
+--R                                                            Type: DoubleFloat
+--E 623
+
+--S 624 of 762
+tanh(1::DFLOAT)-tanh(1::FLOAT)
+--R 
+--R
+--R   (534)  0.
+--R                                                            Type: DoubleFloat
+--E 624
+
+--S 625 of 762
+tanh(pie/4)
+--R 
+--R
+--R   (535)  0.65579420263267241
+--R                                                            Type: DoubleFloat
+--E 625
+
+--S 626 of 762
+tanh(pie/4)-tanh(pif/4)
+--R 
+--R
+--R   (536)  0.
+--R                                                            Type: DoubleFloat
+--E 626
+
+--S 627 of 762
+tanh(pie-1)
+--R 
+--R
+--R   (537)  0.97277834360026971
+--R                                                            Type: DoubleFloat
+--E 627
+
+--S 628 of 762
+tanh(pie-1)-tanh(pif-1)
+--R 
+--R
+--R   (538)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 628
+
+--S 629 of 762
+tanh(pie)
+--R 
+--R
+--R   (539)  0.99627207622075009
+--R                                                            Type: DoubleFloat
+--E 629
+
+--S 630 of 762
+tanh(pie)-tanh(pif)
+--R 
+--R
+--R   (540)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 630
+
+--S 631 of 762
+tanh(pie+1)
+--R 
+--R
+--R   (541)  0.99949466593148173
+--R                                                            Type: DoubleFloat
+--E 631
+
+--S 632 of 762
+tanh(pie+1)-tanh(pif+1)
+--R 
+--R
+--R   (542)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 632
+
+--S 633 of 762
+tanh(2*pie-1)
+--R 
+--R
+--R   (543)  0.99994846499135037
+--R                                                            Type: DoubleFloat
+--E 633
+
+--S 634 of 762
+tanh(2*pie-1)-tanh(2*pif-1)
+--R 
+--R
+--R   (544)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 634
+
+--S 635 of 762
+tanh(2*pie)
+--R 
+--R
+--R   (545)  0.99999302533961054
+--R                                                            Type: DoubleFloat
+--E 635
+
+--S 636 of 762
+tanh(2*pie)-tanh(2*pif)
+--R 
+--R
+--R   (546)  0.
+--R                                                            Type: DoubleFloat
+--E 636
+
+--S 637 of 762
+tanh(2*pie+1)
+--R 
+--R
+--R   (547)  0.99999905607951445
+--R                                                            Type: DoubleFloat
+--E 637
+
+--S 638 of 762
+tanh(2*pie+1)-tanh(2*pif+1)
+--R 
+--R
+--R   (548)  0.
+--R                                                            Type: DoubleFloat
+--E 638
+
+--S 639 of 762
+tanh(3.0::DFLOAT)
+--R 
+--R
+--R   (549)  0.99505475368673058
+--R                                                            Type: DoubleFloat
+--E 639
+
+--S 640 of 762
+tanh(3.0::DFLOAT)-tanh(3.0::FLOAT)
+--R 
+--R
+--R   (550)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 640
+
+-- coth
+
+--S 641 of 762
+coth(-3.0::DFLOAT)
+--R 
+--R
+--R   (551)  - 1.004969823313689
+--R                                                            Type: DoubleFloat
+--E 641
+
+--S 642 of 762
+coth(-3.0::DFLOAT)-coth(-3.0::FLOAT)
+--R 
+--R
+--R   (552)  0.
+--R                                                            Type: DoubleFloat
+--E 642
+
+--S 643 of 762
+coth(-2*pie-1)
+--R 
+--R
+--R   (553)  - 1.0000009439213766
+--R                                                            Type: DoubleFloat
+--E 643
+
+--S 644 of 762
+coth(-2*pie-1)-coth(-2*pif-1)
+--R 
+--R
+--R   (554)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 644
+
+--S 645 of 762
+coth(-2*pie)
+--R 
+--R
+--R   (555)  - 1.0000069747090357
+--R                                                            Type: DoubleFloat
+--E 645
+
+--S 646 of 762
+coth(-2*pie)-coth(-2*pif)
+--R 
+--R
+--R   (556)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 646
+
+--S 647 of 762
+coth(-2*pie+1)
+--R 
+--R
+--R   (557)  - 1.0000515376646435
+--R                                                            Type: DoubleFloat
+--E 647
+
+--S 648 of 762
+coth(-2*pie+1)-coth(-2*pif+1)
+--R 
+--R
+--R   (558)  0.
+--R                                                            Type: DoubleFloat
+--E 648
+
+--S 649 of 762
+coth(-pie-1)
+--R 
+--R
+--R   (559)  - 1.0005055895601478
+--R                                                            Type: DoubleFloat
+--E 649
+
+--S 650 of 762
+coth(-pie-1)-coth(-pif-1)
+--R 
+--R
+--R   (560)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 650
+
+--S 651 of 762
+coth(-pie)
+--R 
+--R
+--R   (561)  - 1.0037418731973211
+--R                                                            Type: DoubleFloat
+--E 651
+
+--S 652 of 762
+coth(-pie)-coth(-pif)
+--R 
+--R
+--R   (562)  0.
+--R                                                            Type: DoubleFloat
+--E 652
+
+--S 653 of 762
+coth(-pie+1)
+--R 
+--R
+--R   (563)  - 1.0279834112044297
+--R                                                            Type: DoubleFloat
+--E 653
+
+--S 654 of 762
+coth(-pie+1)-coth(-pif+1)
+--R 
+--R
+--R   (564)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 654
+
+--S 655 of 762
+coth(-pie/4)
+--R 
+--R
+--R   (565)  - 1.5248686188220641
+--R                                                            Type: DoubleFloat
+--E 655
+
+--S 656 of 762
+coth(-pie/4)-coth(-pif/4)
+--R 
+--R
+--R   (566)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 656
+
+--S 657 of 762
+coth(-1::DFLOAT)
+--R 
+--R
+--R   (567)  - 1.3130352854993312
+--R                                                            Type: DoubleFloat
+--E 657
+
+--S 658 of 762
+coth(-1::DFLOAT)-coth(-1::FLOAT)
+--R 
+--R
+--R   (568)  0.
+--R                                                            Type: DoubleFloat
+--E 658
+
+--S 659 of 762
+coth(-0.5::DFLOAT)
+--R 
+--R
+--R   (569)  - 2.1639534137386525
+--R                                                            Type: DoubleFloat
+--E 659
+
+--S 660 of 762
+coth(-0.5::DFLOAT)-coth(-0.5::FLOAT)
+--R 
+--R
+--R   (570)  0.
+--R                                                            Type: DoubleFloat
+--E 660
+
+--S 661 of 762
+coth(0.5::DFLOAT)
+--R 
+--R
+--R   (571)  2.1639534137386525
+--R                                                            Type: DoubleFloat
+--E 661
+
+--S 662 of 762
+coth(0.5::DFLOAT)-coth(0.5::FLOAT)
+--R 
+--R
+--R   (572)  0.
+--R                                                            Type: DoubleFloat
+--E 662
+
+--S 663 of 762
+coth(1::DFLOAT)
+--R 
+--R
+--R   (573)  1.3130352854993312
+--R                                                            Type: DoubleFloat
+--E 663
+
+--S 664 of 762
+coth(1::DFLOAT)-coth(1::FLOAT)
+--R 
+--R
+--R   (574)  0.
+--R                                                            Type: DoubleFloat
+--E 664
+
+--S 665 of 762
+coth(pie/4)
+--R 
+--R
+--R   (575)  1.5248686188220641
+--R                                                            Type: DoubleFloat
+--E 665
+
+--S 666 of 762
+coth(pie/4)-coth(pif/4)
+--R 
+--R
+--R   (576)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 666
+
+--S 667 of 762
+coth(pie-1)
+--R 
+--R
+--R   (577)  1.0279834112044297
+--R                                                            Type: DoubleFloat
+--E 667
+
+--S 668 of 762
+coth(pie-1)-coth(pif-1)
+--R 
+--R
+--R   (578)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 668
+
+--S 669 of 762
+coth(pie)
+--R 
+--R
+--R   (579)  1.0037418731973211
+--R                                                            Type: DoubleFloat
+--E 669
+
+--S 670 of 762
+coth(pie)-coth(pif)
+--R 
+--R
+--R   (580)  0.
+--R                                                            Type: DoubleFloat
+--E 670
+
+--S 671 of 762
+coth(pie+1)
+--R 
+--R
+--R   (581)  1.0005055895601478
+--R                                                            Type: DoubleFloat
+--E 671
+
+--S 672 of 762
+coth(pie+1)-coth(pif+1)
+--R 
+--R
+--R   (582)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 672
+
+--S 673 of 762
+coth(2*pie-1)
+--R 
+--R
+--R   (583)  1.0000515376646437
+--R                                                            Type: DoubleFloat
+--E 673
+
+--S 674 of 762
+coth(2*pie-1)-coth(2*pif-1)
+--R 
+--R
+--R   (584)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 674
+
+--S 675 of 762
+coth(2*pie)
+--R 
+--R
+--R   (585)  1.0000069747090357
+--R                                                            Type: DoubleFloat
+--E 675
+
+--S 676 of 762
+coth(2*pie)-coth(2*pif)
+--R 
+--R
+--R   (586)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 676
+
+--S 677 of 762
+coth(2*pie+1)
+--R 
+--R
+--R   (587)  1.0000009439213766
+--R                                                            Type: DoubleFloat
+--E 677
+
+--S 678 of 762
+coth(2*pie+1)-coth(2*pif+1)
+--R 
+--R
+--R   (588)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 678
+
+--S 679 of 762
+coth(3.0::DFLOAT)
+--R 
+--R
+--R   (589)  1.004969823313689
+--R                                                            Type: DoubleFloat
+--E 679
+
+--S 680 of 762
+coth(3.0::DFLOAT)-coth(3.0::FLOAT)
+--R 
+--R
+--R   (590)  0.
+--R                                                            Type: DoubleFloat
+--E 680
+
+
+
+-- sech
+
+--S 681 of 762
+sech(-3.0::DFLOAT)
+--R 
+--R
+--R   (591)  9.9327927419433207E-2
+--R                                                            Type: DoubleFloat
+--E 681
+
+--S 682 of 762
+sech(-3.0::DFLOAT)-sech(-3.0::FLOAT)
+--R 
+--R
+--R   (592)  0.
+--R                                                            Type: DoubleFloat
+--E 682
+
+--S 683 of 762
+sech(-2*pie-1)
+--R 
+--R
+--R   (593)  1.3739869286533031E-3
+--R                                                            Type: DoubleFloat
+--E 683
+
+--S 684 of 762
+sech(-2*pie-1)-sech(-2*pif-1)
+--R 
+--R
+--R   (594)  4.3368086899420177E-19
+--R                                                            Type: DoubleFloat
+--E 684
+
+--S 685 of 762
+sech(-2*pie)
+--R 
+--R
+--R   (595)  3.7348724386371281E-3
+--R                                                            Type: DoubleFloat
+--E 685
+
+--S 686 of 762
+sech(-2*pie)-sech(-2*pif)
+--R 
+--R
+--R   (596)  8.6736173798840355E-19
+--R                                                            Type: DoubleFloat
+--E 686
+
+--S 687 of 762
+sech(-2*pie+1)
+--R 
+--R
+--R   (597)  1.015220968273171E-2
+--R                                                            Type: DoubleFloat
+--E 687
+
+--S 688 of 762
+sech(-2*pie+1)-sech(-2*pif+1)
+--R 
+--R
+--R   (598)  3.4694469519536142E-18
+--R                                                            Type: DoubleFloat
+--E 688
+
+--S 689 of 762
+sech(-pie-1)
+--R 
+--R
+--R   (599)  3.1786990648940174E-2
+--R                                                            Type: DoubleFloat
+--E 689
+
+--S 690 of 762
+sech(-pie-1)-sech(-pif-1)
+--R 
+--R
+--R   (600)  6.9388939039072284E-18
+--R                                                            Type: DoubleFloat
+--E 690
+
+--S 691 of 762
+sech(-pie)
+--R 
+--R
+--R   (601)  8.6266738334054446E-2
+--R                                                            Type: DoubleFloat
+--E 691
+
+--S 692 of 762
+sech(-pie)-sech(-pif)
+--R 
+--R
+--R   (602)  4.163336342344337E-17
+--R                                                            Type: DoubleFloat
+--E 692
+
+--S 693 of 762
+sech(-pie+1)
+--R 
+--R
+--R   (603)  0.23173755462228304
+--R                                                            Type: DoubleFloat
+--E 693
+
+--S 694 of 762
+sech(-pie+1)-sech(-pif+1)
+--R 
+--R
+--R   (604)  5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 694
+
+--S 695 of 762
+sech(-pie/4)
+--R 
+--R
+--R   (605)  0.7549397087141313
+--R                                                            Type: DoubleFloat
+--E 695
+
+--S 696 of 762
+sech(-pie/4)-sech(-pif/4)
+--R 
+--R
+--R   (606)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 696
+
+--S 697 of 762
+sech(-1::DFLOAT)
+--R 
+--R
+--R   (607)  0.64805427366388546
+--R                                                            Type: DoubleFloat
+--E 697
+
+--S 698 of 762
+sech(-1::DFLOAT)-sech(-1::FLOAT)
+--R 
+--R
+--R   (608)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 698
+
+--S 699 of 762
+sech(-0.5::DFLOAT)
+--R 
+--R
+--R   (609)  0.88681888397007402
+--R                                                            Type: DoubleFloat
+--E 699
+
+--S 700 of 762
+sech(-0.5::DFLOAT)-sech(-0.5::FLOAT)
+--R 
+--R
+--R   (610)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 700
+
+--S 701 of 762
+sech(0.0::DFLOAT)
+--R 
+--R
+--R   (611)  1.
+--R                                                            Type: DoubleFloat
+--E 701
+
+--S 702 of 762
+sech(0.0::DFLOAT)-sech(0.0::FLOAT)
+--R 
+--R
+--R   (612)  0.
+--R                                                            Type: DoubleFloat
+--E 702
+
+--S 703 of 762
+sech(0.5::DFLOAT)
+--R 
+--R
+--R   (613)  0.88681888397007402
+--R                                                            Type: DoubleFloat
+--E 703
+
+--S 704 of 762
+sech(0.5::DFLOAT)-sech(0.5::FLOAT)
+--R 
+--R
+--R   (614)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 704
+
+--S 705 of 762
+sech(1::DFLOAT)
+--R 
+--R
+--R   (615)  0.64805427366388546
+--R                                                            Type: DoubleFloat
+--E 705
+
+--S 706 of 762
+sech(1::DFLOAT)-sech(1::FLOAT)
+--R 
+--R
+--R   (616)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 706
+
+--S 707 of 762
+sech(pie/4)
+--R 
+--R
+--R   (617)  0.7549397087141313
+--R                                                            Type: DoubleFloat
+--E 707
+
+--S 708 of 762
+sech(pie/4)-sech(pif/4)
+--R 
+--R
+--R   (618)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 708
+
+--S 709 of 762
+sech(pie-1)
+--R 
+--R
+--R   (619)  0.23173755462228304
+--R                                                            Type: DoubleFloat
+--E 709
+
+--S 710 of 762
+sech(pie-1)-sech(pif-1)
+--R 
+--R
+--R   (620)  5.5511151231257827E-17
+--R                                                            Type: DoubleFloat
+--E 710
+
+--S 711 of 762
+sech(pie)
+--R 
+--R
+--R   (621)  8.6266738334054432E-2
+--R                                                            Type: DoubleFloat
+--E 711
+
+--S 712 of 762
+sech(pie)-sech(pif)
+--R 
+--R
+--R   (622)  2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 712
+
+--S 713 of 762
+sech(pie+1)
+--R 
+--R
+--R   (623)  3.1786990648940174E-2
+--R                                                            Type: DoubleFloat
+--E 713
+
+--S 714 of 762
+sech(pie+1)-sech(pif+1)
+--R 
+--R
+--R   (624)  6.9388939039072284E-18
+--R                                                            Type: DoubleFloat
+--E 714
+
+--S 715 of 762
+sech(2*pie-1)
+--R 
+--R
+--R   (625)  1.015220968273171E-2
+--R                                                            Type: DoubleFloat
+--E 715
+
+--S 716 of 762
+sech(2*pie-1)-sech(2*pif-1)
+--R 
+--R
+--R   (626)  3.4694469519536142E-18
+--R                                                            Type: DoubleFloat
+--E 716
+
+--S 717 of 762
+sech(2*pie)
+--R 
+--R
+--R   (627)  3.7348724386371281E-3
+--R                                                            Type: DoubleFloat
+--E 717
+
+--S 718 of 762
+sech(2*pie)-sech(2*pif)
+--R 
+--R
+--R   (628)  8.6736173798840355E-19
+--R                                                            Type: DoubleFloat
+--E 718
+
+--S 719 of 762
+sech(2*pie+1)
+--R 
+--R
+--R   (629)  1.3739869286533031E-3
+--R                                                            Type: DoubleFloat
+--E 719
+
+--S 720 of 762
+sech(2*pie+1)-sech(2*pif+1)
+--R 
+--R
+--R   (630)  4.3368086899420177E-19
+--R                                                            Type: DoubleFloat
+--E 720
+
+--S 721 of 762
+sech(3.0::DFLOAT)
+--R 
+--R
+--R   (631)  9.9327927419433207E-2
+--R                                                            Type: DoubleFloat
+--E 721
+
+--S 722 of 762
+sech(3.0::DFLOAT)-sech(3.0::FLOAT)
+--R 
+--R
+--R   (632)  0.
+--R                                                            Type: DoubleFloat
+--E 722
+
+
+-- csch
+
+--S 723 of 762
+csch(-3.0::DFLOAT)
+--R 
+--R
+--R   (633)  - 9.9821569668822732E-2
+--R                                                            Type: DoubleFloat
+--E 723
+
+--S 724 of 762
+csch(-3.0::DFLOAT)-csch(-3.0::FLOAT)
+--R 
+--R
+--R   (634)  0.
+--R                                                            Type: DoubleFloat
+--E 724
+
+--S 725 of 762
+csch(-2*pie-1)
+--R 
+--R
+--R   (635)  - 1.3739882255889362E-3
+--R                                                            Type: DoubleFloat
+--E 725
+
+--S 726 of 762
+csch(-2*pie-1)-csch(-2*pif-1)
+--R 
+--R
+--R   (636)  - 4.3368086899420177E-19
+--R                                                            Type: DoubleFloat
+--E 726
+
+--S 727 of 762
+csch(-2*pie)
+--R 
+--R
+--R   (637)  - 3.7348984882856731E-3
+--R                                                            Type: DoubleFloat
+--E 727
+
+--S 728 of 762
+csch(-2*pie)-csch(-2*pif)
+--R 
+--R
+--R   (638)  - 1.3010426069826053E-18
+--R                                                            Type: DoubleFloat
+--E 728
+
+--S 729 of 762
+csch(-2*pie+1)
+--R 
+--R
+--R   (639)  - 1.0152732903909729E-2
+--R                                                            Type: DoubleFloat
+--E 729
+
+--S 730 of 762
+csch(-2*pie+1)-csch(-2*pif+1)
+--R 
+--R
+--R   (640)  - 1.7347234759768071E-18
+--R                                                            Type: DoubleFloat
+--E 730
+
+--S 731 of 762
+csch(-pie-1)
+--R 
+--R
+--R   (641)  - 3.1803061819560788E-2
+--R                                                            Type: DoubleFloat
+--E 731
+
+--S 732 of 762
+csch(-pie-1)-csch(-pif-1)
+--R 
+--R
+--R   (642)  - 6.9388939039072284E-18
+--R                                                            Type: DoubleFloat
+--E 732
+
+--S 733 of 762
+csch(-pie)
+--R 
+--R
+--R   (643)  - 8.6589537530046959E-2
+--R                                                            Type: DoubleFloat
+--E 733
+
+--S 734 of 762
+csch(-pie)-csch(-pif)
+--R 
+--R
+--R   (644)  - 2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 734
+
+--S 735 of 762
+csch(-pie+1)
+--R 
+--R
+--R   (645)  - 0.23822236190478735
+--R                                                            Type: DoubleFloat
+--E 735
+
+--S 736 of 762
+csch(-pie+1)-csch(-pif+1)
+--R 
+--R
+--R   (646)  - 2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 736
+
+--S 737 of 762
+csch(-pie/4)
+--R 
+--R
+--R   (647)  - 1.1511838709208488
+--R                                                            Type: DoubleFloat
+--E 737
+
+--S 738 of 762
+csch(-pie/4)-csch(-pif/4)
+--R 
+--R
+--R   (648)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 738
+
+--S 739 of 762
+csch(-1::DFLOAT)
+--R 
+--R
+--R   (649)  - 0.85091812823932156
+--R                                                            Type: DoubleFloat
+--E 739
+
+--S 740 of 762
+csch(-1::DFLOAT)-csch(-1::FLOAT)
+--R 
+--R
+--R   (650)  - 1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 740
+
+--S 741 of 762
+csch(-0.5::DFLOAT)
+--R 
+--R
+--R   (651)  - 1.9190347513349437
+--R                                                            Type: DoubleFloat
+--E 741
+
+--S 742 of 762
+csch(-0.5::DFLOAT)-csch(-0.5::FLOAT)
+--R 
+--R
+--R   (652)  - 2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 742
+
+--S 743 of 762
+csch(0.5::DFLOAT)
+--R 
+--R
+--R   (653)  1.9190347513349437
+--R                                                            Type: DoubleFloat
+--E 743
+
+--S 744 of 762
+csch(0.5::DFLOAT)-csch(0.5::FLOAT)
+--R 
+--R
+--R   (654)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 744
+
+--S 745 of 762
+csch(1::DFLOAT)
+--R 
+--R
+--R   (655)  0.85091812823932156
+--R                                                            Type: DoubleFloat
+--E 745
+
+--S 746 of 762
+csch(1::DFLOAT)-csch(1::FLOAT)
+--R 
+--R
+--R   (656)  1.1102230246251565E-16
+--R                                                            Type: DoubleFloat
+--E 746
+
+--S 747 of 762
+csch(pie/4)
+--R 
+--R
+--R   (657)  1.1511838709208488
+--R                                                            Type: DoubleFloat
+--E 747
+
+--S 748 of 762
+csch(pie/4)-csch(pif/4)
+--R 
+--R
+--R   (658)  2.2204460492503131E-16
+--R                                                            Type: DoubleFloat
+--E 748
+
+--S 749 of 762
+csch(pie-1)
+--R 
+--R
+--R   (659)  0.23822236190478735
+--R                                                            Type: DoubleFloat
+--E 749
+
+--S 750 of 762
+csch(pie-1)-csch(pif-1)
+--R 
+--R
+--R   (660)  2.7755575615628914E-17
+--R                                                            Type: DoubleFloat
+--E 750
+
+--S 751 of 762
+csch(pie)
+--R 
+--R
+--R   (661)  8.6589537530046945E-2
+--R                                                            Type: DoubleFloat
+--E 751
+
+--S 752 of 762
+csch(pie)-csch(pif)
+--R 
+--R
+--R   (662)  1.3877787807814457E-17
+--R                                                            Type: DoubleFloat
+--E 752
+
+--S 753 of 762
+csch(pie+1)
+--R 
+--R
+--R   (663)  3.1803061819560788E-2
+--R                                                            Type: DoubleFloat
+--E 753
+
+--S 754 of 762
+csch(pie+1)-csch(pif+1)
+--R 
+--R
+--R   (664)  6.9388939039072284E-18
+--R                                                            Type: DoubleFloat
+--E 754
+
+--S 755 of 762
+csch(2*pie-1)
+--R 
+--R
+--R   (665)  1.0152732903909731E-2
+--R                                                            Type: DoubleFloat
+--E 755
+
+--S 756 of 762
+csch(2*pie-1)-csch(2*pif-1)
+--R 
+--R
+--R   (666)  3.4694469519536142E-18
+--R                                                            Type: DoubleFloat
+--E 756
+
+--S 757 of 762
+csch(2*pie)
+--R 
+--R
+--R   (667)  3.7348984882856731E-3
+--R                                                            Type: DoubleFloat
+--E 757
+
+--S 758 of 762
+csch(2*pie)-csch(2*pif)
+--R 
+--R
+--R   (668)  1.3010426069826053E-18
+--R                                                            Type: DoubleFloat
+--E 758
+
+--S 759 of 762
+csch(2*pie+1)
+--R 
+--R
+--R   (669)  1.3739882255889362E-3
+--R                                                            Type: DoubleFloat
+--E 759
+
+--S 760 of 762
+csch(2*pie+1)-csch(2*pif+1)
+--R 
+--R
+--R   (670)  4.3368086899420177E-19
+--R                                                            Type: DoubleFloat
+--E 760
+
+--S 761 of 762
+csch(3.0::DFLOAT)
+--R 
+--R
+--R   (671)  9.9821569668822732E-2
+--R                                                            Type: DoubleFloat
+--E 761
+
+--S 762 of 762
+csch(3.0::DFLOAT)-csch(3.0::FLOAT)
+--R 
+--R
+--R   (672)  0.
+--R                                                            Type: DoubleFloat
+--E 762
+
+
+)spool
+ 
+
+
+)spool
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 63694d8..c05ad1f 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -2380,31 +2380,6 @@ do the compile, and then rename the result back to code.o.
     (decode-float u)
     (cons (* s f) e)))
 
-(defun acot (a)
-  (if (> a 0.0)
-    (if (> a 1.0)
-       (atan (/ 1.0 a))
-       (- (/ pi 2.0) (atan a)))
-    (if (< a -1.0)
-       (- pi (atan (/ -1.0 a)))
-       (+ (/ pi 2.0) (atan (- a))))))
-
-(defun cot (a)
-  (if (or (> a 1000.0) (< a -1000.0))
-    (/ (cos a) (sin a))
-    (/ 1.0 (tan a))))
-
-(defun sec (x) (/ 1 (cos x)))
-(defun csc (x) (/ 1 (sin x)))
-(defun acsc (x) (asin (/ 1 x)))
-(defun asec (x) (acos (/ 1 x)))
-(defun csch (x) (/ 1 (sinh x)))
-(defun coth (x) (* (cosh x) (csch x)))
-(defun sech (x) (/ 1 (cosh x)))
-(defun acsch (x) (asinh (/ 1 x)))
-(defun acoth (x) (atanh (/ 1 x)))
-(defun asech (x) (acosh (/ 1 x)))
-
 
 ;;--------------------> NEW DEFINITION (see unlisp.lisp.pamphlet)
 (defun |AlistAssocQ| (key l)
